PlotDialog Class Reference

Custom plot/curves dialog. More...

`#include <PlotDialog.h>`

Inheritance diagram for PlotDialog:

## Public Slots

void | selectCurve (int index)
void | showAll (bool all)

## Public Member Functions

void | initFonts (const QFont &titlefont, const QFont &axesfont, const QFont &numbersfont, const QFont &legendfont)
void | insertColumnsList (const QStringList &names)
| PlotDialog (bool showExtended, QWidget *parent=0, Qt::WFlags fl=0)
void | selectMultiLayerItem ()
void | setMultiLayer (MultiLayer *ml)

## Private Slots

bool | acceptParams ()
void | adjustLayerHeight (double width)
void | adjustLayerWidth (double height)
void | adjustPlotHeight (double width)
void | adjustPlotWidth (double height)
void | applyCanvasFormat ()
void | applyLayerFormat ()
void | changePlotType (int plotType)
void | chooseBackgroundImageFile (const QString &fn=QString())
void | chooseLabelsFont ()
void | chooseSymbolImageFile ()
void | customVectorsPage (bool angleMag)
void | displayCoordinates (int unit, Graph *g=0)
void | displayPlotCoordinates (int unit)
void | editCurve ()
void | editCurveRange ()
void | enableBoxApplyColor (int)
void | enableLabelsPage ()
void | fillBoxSymbols ()
void | fillSymbols ()
void | insertTabs (int plot_type)
void | pickErrorBarsColor ()
void | plotAssociationsDialogClosed ()
void | quit ()
void | raiseCurve ()
void | removeSelectedObject ()
void | resizeCanvasToFitImage ()
void | setActiveCurve (CurveTreeItem *item)
void | setActiveLayer (LayerItem *item)
void | setAutomaticBinning (bool on=true)
void | setAxesLabelsFont ()
void | setAxesNumbersFont ()
void | setBoxRangeType (int index)
void | setBoxType (int index)
void | setCanvasDefaultValues ()
void | setEquidistantLevels ()
void | setLayerDefaultValues ()
void | setLegendsFont ()
int | setPlotType (CurveTreeItem *item)
void | setTitlesFont ()
void | setWhiskersRange (int index)
void | shiftCurveBy (int offset=1)
void | showAreaColor (bool show)
void | showBoxStatistics ()
void | showColorMapEditor (bool show)
void | showCustomPenColumn (bool on)
void | showDefaultContourLinesBox (bool show)
void | showStatistics ()
void | showWorksheet ()
void | updateBackgroundTransparency (int alpha)
void | updateCanvasTransparency (int alpha)
void | updateEndPointColumns (const QString &text)
void | updateTabWindow (QTreeWidgetItem *currentItem, QTreeWidgetItem *previousItem)
void | updateTreeWidgetItem (QTreeWidgetItem *item)
void | updateVisibility ()
void | updateVisibility (QTreeWidgetItem *item, int column)

## Private Member Functions

void | applyBoxWhiskersFormat (BoxCurve *c)
void | applyBoxWhiskersFormatToCurve (BoxCurve *b)
void | applyBoxWhiskersFormatToLayer (Graph *g)
void | applyCanvasFormatToLayer (Graph *g)
void | applyCanvasSize ()
void | applyErrorBarFormat (ErrorBarsCurve *c)
void | applyErrorBarFormatToCurve (ErrorBarsCurve *err, bool color=true)
void | applyErrorBarFormatToLayer (Graph *g)
void | applyFormatToLayer (Graph *g)
void | applyGap (Graph *g)
void | applyGapToLayer (Graph *g)
void | applyLabelsFormat (QwtPlotItem *)
void | applyLabelsFormatToItem (QwtPlotItem *)
void | applyLabelsFormatToLayer (Graph *)
void | applyLineFormat (QwtPlotCurve *c)
void | applyLineFormatToLayer (Graph *g)
void | applyPercentileFormat (BoxCurve *c)
void | applyPercentileFormatToCurve (BoxCurve *b)
void | applyPercentileFormatToLayer (Graph *g)
void | applySymbolsFormat (QwtPlotCurve *c)
void | applySymbolsFormatToCurve (QwtPlotCurve *c, bool fillColor=true, bool penColor=true)
void | applySymbolsFormatToLayer (Graph *g)
void | clearTabWidget ()
void | closeEvent (QCloseEvent *e)
void | contextMenuEvent (QContextMenuEvent *e)
void | initAxesPage ()
void | initBoxPage ()
void | initCanvasPage ()
void | initContourLinesPage ()
void | initErrorsPage ()
void | initFontsPage ()
void | initFunctionPage ()
void | initHistogramPage ()
void | initLabelsPage ()
void | initLayerDisplayPage ()
void | initLayerGeometryPage ()
void | initLayerPage ()
void | initLayerSpeedPage ()
void | initLinePage ()
void | initMiscPage ()
void | initPercentilePage ()
void | initPieGeometryPage ()
void | initPieLabelsPage ()
void | initPiePage ()
void | initPlotGeometryPage ()
void | initPrintPage ()
void | initSpacingPage ()
void | initSpectrogramPage ()
void | initSpectrogramValuesPage ()
void | initSymbolsPage ()
void | initVectPage ()
int | labelsAlignment ()
QRect | layerCanvasRect (QWidget *widget, double x, double y, double w, double h, FrameWidget::Unit unit)
void | resizeLayerToFitImage (Graph *g)
void | setLabelsFont (const QFont &font, Graph *, const QwtPlotItem *)
void | setLabelsFontToLayer (const QFont &font, Graph *)
void | setLabelsFontToPlotItem (const QFont &font, const QwtPlotItem *)
void | showAllLabelControls (bool show=true, int curveType=0)
void | updateContourLevelsDisplay (Spectrogram *sp)

## Private Attributes

double | aspect_ratio
QRadioButton * | autoContourBox
QCheckBox * | automaticBox
QFont | axesFont
QWidget * | axesPage
QGroupBox * | axisScaleBox
QComboBox * | backgroundApplyToBox
QLabel * | barsOffsetLabel
DoubleSpinBox * | binSizeBox
QSlider * | bkgOpacitySlider
SymbolBox * | box1Style
SymbolBox * | box99Style
QCheckBox * | boxAntialiasing
QCheckBox * | boxApplyColorTo
ColorButton * | boxAreaColor
QCheckBox * | boxAutoscaling
ColorButton * | boxBackgroundColor
QSpinBox * | boxBackgroundTransparency
ColorButton * | boxBorderColor
QSpinBox * | boxBorderWidth
QCheckBox * | boxBottomAxis
QCheckBox * | boxBoxLabels
ColorButton * | boxCanvasColor
QSpinBox * | boxCanvasTransparency
QDoubleSpinBox * | boxCnt
QLabel * | boxCntLabel
QSpinBox * | boxCoef
QLabel * | boxCoeffLabel
QComboBox * | boxConnect
PenStyleBox * | boxContourStyle
QSpinBox * | boxCurveOpacity
DoubleSpinBox * | boxDouglasPeukerTolerance
ColorButton * | boxEdgeColor
DoubleSpinBox * | boxEdgeWidth
ColorButton * | boxFillColor
QCheckBox * | boxFillSymbol
QCheckBox * | boxFillSymbols
ColorBox * | boxFirstColor
ColorButton * | boxFrameColor
QGroupBox * | boxFramed
QSpinBox * | boxFrameWidth
QCheckBox * | boxGridPosition
QComboBox * | boxLabelsAlign
DoubleSpinBox * | boxLabelsAngle
ColorButton * | boxLabelsColor
QComboBox * | boxLabelsColumn
QComboBox * | boxLabelsFormatApplyToBox
QCheckBox * | boxLabelsWhiteOut
QSpinBox * | boxLabelsXOffset
QSpinBox * | boxLabelsYOffset
DoubleSpinBox * | boxLayerHeight
DoubleSpinBox * | boxLayerWidth
QCheckBox * | boxLeftAxis
ColorButton * | boxLineColor
PenStyleBox * | boxLineStyle
QSpinBox * | boxLineTransparency
DoubleSpinBox * | boxLineWidth
QComboBox * | boxLinkAllXAxes
QCheckBox * | boxLinkXAxes
QSpinBox * | boxMargin
QSpinBox * | boxMaxPoints
SymbolBox * | boxMaxStyle
SymbolBox * | boxMeanStyle
SymbolBox * | boxMinStyle
QCheckBox * | boxMissingData
QWidget * | boxPage
PatternBox * | boxPattern
DoubleSpinBox * | boxPenWidth
QSpinBox * | boxPercentileTransparency
ColorButton * | boxPercFillColor
QSpinBox * | boxPercSize
QCheckBox * | boxPieCategories
QCheckBox * | boxPieConterClockwise
DoubleSpinBox * | boxPieEdgeDist
ColorButton * | boxPieLineColor
PenStyleBox * | boxPieLineStyle
DoubleSpinBox * | boxPieLineWidth
QSpinBox * | boxPieOffset
PatternBox * | boxPiePattern
QCheckBox * | boxPiePercentages
DoubleSpinBox * | boxPieStartAzimuth
DoubleSpinBox * | boxPieThickness
QCheckBox * | boxPieValues
DoubleSpinBox * | boxPieViewAngle
QGroupBox * | boxPieWedge
DoubleSpinBox * | boxPlotHeight
QComboBox * | boxPlotType
DoubleSpinBox * | boxPlotWidth
DoubleSpinBox * | boxPlotX
DoubleSpinBox * | boxPlotY
QCheckBox * | boxPrintCrops
QSpinBox * | boxRadius
QComboBox * | boxRange
QLabel * | boxRangeLabel
QCheckBox * | boxResizeLayers
QCheckBox * | boxRightAxis
QCheckBox * | boxScaleLayers
QSpinBox * | boxSkipErrorBars
QSpinBox * | boxSkipSymbols
QComboBox * | boxSpectroMatrix
ColorButton * | boxSymbolColor
QSpinBox * | boxSymbolSize
SymbolBox * | boxSymbolStyle
QSpinBox * | boxSymbolTransparency
QCheckBox * | boxTopAxis
QComboBox * | boxType
QCheckBox * | boxUseMatrixFormula
QCheckBox * | boxWhiskerLabels
QSpinBox * | boxWhiskersCoef
QComboBox * | boxWhiskersFormatApplyToBox
QComboBox * | boxWhiskersRange
QComboBox * | boxWhiskersType
QSpinBox * | boxWidth
DoubleSpinBox * | boxX
QComboBox * | boxXAxis
DoubleSpinBox * | boxY
QComboBox * | boxYAxis
QPushButton * | btnAxesLabels
QPushButton * | btnAxesNumbers
QPushButton * | btnDown
QPushButton * | btnEditCurve
QPushButton * | btnEditCurveRange
QPushButton * | btnLabelsFont
QPushButton * | btnLegend
QPushButton * | btnMore
QPushButton * | btnSetEquidistantLevels
QPushButton * | btnTitle
QPushButton * | btnUp
QPushButton * | btnWorksheet
QPushButton * | buttonApply
QPushButton * | buttonBoxStatistics
QPushButton * | buttonCancel
QPushButton * | buttonOk
QPushButton * | buttonStatistics
QGroupBox * | canvasColorBox
QPushButton * | canvasDefaultBtn
QGroupBox * | canvasImageBox
QSlider * | canvasOpacitySlider
QWidget * | canvasPage
QComboBox * | capBox
ColorButton * | colorBox
QRadioButton * | colorBtn
ColorMapEditor * | colorMapEditor
QComboBox * | colorScaleBox
QSpinBox * | colorScaleWidthBox
QStringList | columnNames
QCompleter * | completer
DoubleSpinBox * | contourLinesDistanceBox
ContourLinesEditor * | contourLinesEditor
QWidget * | contourLinesPage
DoubleSpinBox * | contourWidthBox
QSlider * | curveOpacitySlider
QWidget * | curvePlotTypeBox
QRadioButton * | customPenBtn
QRadioButton * | customScaleBox
MultiLayer * | d_ml
QRadioButton * | defaultContourBox
QGroupBox * | defaultPenBox
QRadioButton * | defaultScaleBox
EnrichmentDialog * | enrichmentDialog
QComboBox * | errorBarsFormatApplyToBox
QWidget * | errorsPage
QCheckBox * | filledHeadBox
QGroupBox * | fillGroupBox
DoubleSpinBox * | firstContourLineBox
QWidget * | fontsPage
FunctionDialog * | functionEdit
QWidget * | functionPage
QComboBox * | gapApplyToBox
QSpinBox * | gapBox
QRadioButton * | grayScaleBox
QGroupBox * | GroupBoxH
QGroupBox * | GroupBoxVectEnd
QSpinBox * | headAngleBox
QSpinBox * | headLengthBox
DoubleSpinBox * | histogramBeginBox
DoubleSpinBox * | histogramEndBox
QWidget * | histogramPage
QComboBox * | imageApplyToBox
QRadioButton * | imageBtn
QGroupBox * | imageGroupBox
QLineEdit * | imagePathBox
QRadioButton * | imageSymbolBtn
QGroupBox * | imageSymBolFormatBox
QLineEdit * | imageSymbolPathBox
QLabel * | justifyLabelsLbl
QCheckBox * | keepPlotRatioBox
QCheckBox * | keepRatioBox
QLabel * | labelPosition
QLabel * | labelsColumnLbl
QGroupBox * | labelsGroupBox
| Labels page. More...
QWidget * | labelsPage
QLabel * | labelXEnd
QLabel * | labelYEnd
QPushButton * | layerDefaultBtn
QWidget * | layerDisplayPage
QWidget * | layerGeometryPage
QWidget * | layerPage
QCheckBox * | layerScaleFonts
QFont | legendFont
QSpinBox * | levelsBox
ColorButton * | levelsColorBox
QGroupBox * | levelsGroupBox
QComboBox * | lineFormatApplyToBox
QWidget * | linePage
QSlider * | lineTransparencySlider
QTreeWidget * | listBox
QCheckBox * | minusBox
QWidget * | miscPage
QFont | numbersFont
QSpinBox * | offsetBox
QComboBox * | percentileFormatApplyToBox
QWidget * | percentilePage
QSlider * | percentileTransparencySlider
QGroupBox * | pieAutoLabelsBox
QWidget * | pieGeometryPage
QWidget * | pieLabelsPage
QWidget * | piePage
double | plot_aspect_ratio
QWidget * | plotGeometryPage
QComboBox * | plotUnitBox
QCheckBox * | plusBox
QWidget * | printPage
QTabWidget * | privateTabWidget
QComboBox * | sizeApplyToBox
QWidget * | spacingPage
QWidget * | spectrogramPage
QWidget * | spectroValuesPage
QGroupBox * | speedModeBox
QWidget * | speedPage
QRadioButton * | standardSymbolBtn
QGroupBox * | standardSymbolFormatBox
QLabel * | symbolImageLabel
QWidget * | symbolPage
QComboBox * | symbolsFormatApplyToBox
QSlider * | symbTransparencySlider
QCheckBox * | throughBox
QFont | titleFont
QComboBox * | unitBox
ColorButton * | vectColorBox
QWidget * | vectPage
QComboBox * | vectPosBox
DoubleSpinBox * | vectWidthBox
QDoubleSpinBox * | whiskerCnt
QLabel * | whiskerCntLabel
QLabel * | whiskerCoeffLabel
QLabel * | whiskerRangeLabel
DoubleSpinBox * | widthBox
QCheckBox * | xBox
QComboBox * | xEndBox
QComboBox * | yEndBox

## Detailed Description

Custom plot/curves dialog.

## Constructor & Destructor Documentation

## PlotDialog()

PlotDialog::PlotDialog | ( | bool | showExtended,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References acceptParams(), boxPlotType, btnDown, btnEditCurve, btnEditCurveRange, btnMore, btnUp, btnWorksheet, buttonApply, buttonCancel, buttonOk, changePlotType(), clearTabWidget(), completer, curvePlotTypeBox, editCurve(), editCurveRange(), enrichmentDialog, initAxesPage(), initBoxPage(), initCanvasPage(), initContourLinesPage(), initErrorsPage(), initFontsPage(), initFunctionPage(), initHistogramPage(), initLabelsPage(), initLayerDisplayPage(), initLayerGeometryPage(), initLayerPage(), initLayerSpeedPage(), initLinePage(), initMiscPage(), initPercentilePage(), initPieGeometryPage(), initPieLabelsPage(), initPiePage(), initPlotGeometryPage(), initPrintPage(), initSpacingPage(), initSpectrogramPage(), initSpectrogramValuesPage(), initSymbolsPage(), initVectPage(), listBox, privateTabWidget, quit(), raiseCurve(), removeSelectedObject(), shiftCurveBy(), showAll(), showWorksheet(), updateTabWindow(), updateTreeWidgetItem(), and updateVisibility().

## Member Function Documentation

## acceptParams

bool PlotDialog::acceptParams | ( |  | ) |

private slot

References EnrichmentDialog::accept(), FunctionDialog::apply(), applyBoxWhiskersFormat(), applyCanvasFormat(), applyCanvasSize(), applyErrorBarFormat(), applyGap(), applyLabelsFormat(), applyLayerFormat(), applyLineFormat(), applyPercentileFormat(), applySymbolsFormat(), QwtHistogram::autoBinning(), automaticBox, axesFont, axesPage, axisScaleBox, QwtHistogram::begin(), QwtHistogram::binSize(), binSizeBox, Graph::Box, boxAreaColor, boxBottomAxis, boxConnect, boxContourStyle, boxCurveOpacity, boxDouglasPeukerTolerance, boxFirstColor, boxGridPosition, boxLabelsColumn, boxLayerHeight, boxLayerWidth, boxLeftAxis, boxLineColor, boxLineStyle, boxLineTransparency, boxLineWidth, boxLinkAllXAxes, boxLinkXAxes, boxMaxPoints, boxMissingData, boxPage, boxPattern, boxPieCategories, boxPieConterClockwise, boxPieEdgeDist, boxPieLineColor, boxPieLineStyle, boxPieLineWidth, boxPieOffset, boxPiePattern, boxPiePercentages, boxPieStartAzimuth, boxPieThickness, boxPieValues, boxPieViewAngle, boxPieWedge, boxPlotHeight, boxPlotWidth, boxPlotX, boxPlotY, boxPrintCrops, boxRadius, boxResizeLayers, boxRightAxis, boxScaleLayers, boxSpectroMatrix, boxTopAxis, boxUseMatrixFormula, boxX, boxXAxis, boxY, boxYAxis, canvasPage, DataCurve::clearLabels(), ColorButton::color(), ColorMapEditor::colorMap(), Spectrogram::colorMap(), colorMapEditor, colorScaleBox, colorScaleWidthBox, contourLinesEditor, contourLinesPage, contourWidthBox, customPenBtn, ApplicationWindow::d_layer_geometry_unit, d_ml, defaultContourBox, defaultScaleBox, Graph::enableAxis(), Graph::enableDouglasPeukerSpeedMode(), QwtHistogram::end(), enrichmentDialog, errorsPage, filledHeadBox, fillGroupBox, fontsPage, functionEdit, functionPage, gapApplyToBox, gapBox, PatternBox::getSelectedPattern(), LayerItem::graph(), CurveTreeItem::graph(), grayScaleBox, headAngleBox, headLengthBox, Graph::Histogram, histogramBeginBox, histogramEndBox, histogramPage, imageGroupBox, Graph::isAutoscalingEnabled(), labelsGroupBox, labelsPage, layerCanvasRect(), layerDisplayPage, layerGeometryPage, layerPage, legendFont, levelsColorBox, levelsGroupBox, linePage, MultiLayer::linkXLayerAxes(), listBox, QwtHistogram::loadData(), ApplicationWindow::matrix(), miscPage, MdiSubWindow::name(), MdiSubWindow::notifyChanges(), Graph::notifyChanges(), numbersFont, offsetBox, percentilePage, pieAutoLabelsBox, pieGeometryPage, pieLabelsPage, piePage, VectorCurve::plotAssociation(), plotGeometryPage, CurveTreeItem::plotItem(), CurveTreeItem::plotItemIndex(), plotUnitBox, MultiLayer::printCropmarks(), printPage, privateTabWidget, setAutomaticBinning(), Graph::setAutoScale(), Graph::setBarsGap(), QwtHistogram::setBinning(), PieCurve::setBrushStyle(), Graph::setCanvasGeometry(), Spectrogram::setColorBarWidth(), ColorMapEditor::setColorMap(), Spectrogram::setColorMapPen(), PieCurve::setCounterClockwise(), Graph::setCurveStyle(), Spectrogram::setCustomColorMap(), Spectrogram::setDefaultColorMap(), PieCurve::setFirstColor(), PieCurve::setFixedLabelsPosition(), MultiLayer::setFonts(), Spectrogram::setGrayScale(), Graph::setGridOnTop(), PieCurve::setHorizontalOffset(), PieCurve::setLabelCategories(), PieCurve::setLabelPercentagesFormat(), PieCurve::setLabelsAutoFormat(), DataCurve::setLabelsColumnName(), PieCurve::setLabelsEdgeDistance(), PieCurve::setLabelValuesFormat(), Spectrogram::setMatrix(), PieCurve::setRadius(), FrameWidget::setRect(), MultiLayer::setScaleLayersOnPrint(), MultiLayer::setScaleLayersOnResize(), PieCurve::setStartAzimuth(), PieCurve::setThickness(), DoubleSpinBox::setValue(), PieCurve::setViewAngle(), Spectrogram::showColorScale(), Spectrogram::showContourLineLabels(), Graph::showMissingDataGap(), spacingPage, spectrogramPage, spectroValuesPage, speedModeBox, speedPage, PenStyleBox::style(), symbolPage, DataCurve::table(), ApplicationWindow::table(), titleFont, PlotCurve::type(), unitBox, Graph::updateAxesTitles(), ContourLinesEditor::updateContourLevels(), updateContourLevelsDisplay(), ContourLinesEditor::updateContourPens(), Graph::updateScale(), Graph::updateVectorsLayout(), DoubleSpinBox::value(), vectColorBox, vectPage, vectPosBox, vectWidthBox, ApplicationWindow::windowsList(), xEndBox, and yEndBox.

Referenced by changePlotType(), chooseSymbolImageFile(), enableLabelsPage(), fillBoxSymbols(), fillSymbols(), initBoxPage(), initErrorsPage(), initHistogramPage(), initLabelsPage(), initLayerDisplayPage(), initLayerSpeedPage(), initLinePage(), initPercentilePage(), initPieGeometryPage(), initPieLabelsPage(), initSpacingPage(), initSymbolsPage(), insertColumnsList(), PlotDialog(), and quit().

## adjustLayerHeight

void PlotDialog::adjustLayerHeight | ( | double | width | ) |

private slot

References aspect_ratio, boxLayerHeight, keepRatioBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initLayerGeometryPage(), and insertColumnsList().

## adjustLayerWidth

void PlotDialog::adjustLayerWidth | ( | double | height | ) |

private slot

References aspect_ratio, boxLayerWidth, keepRatioBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initLayerGeometryPage(), and insertColumnsList().

## adjustPlotHeight

void PlotDialog::adjustPlotHeight | ( | double | width | ) |

private slot

References boxPlotHeight, keepPlotRatioBox, plot_aspect_ratio, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initPlotGeometryPage(), and insertColumnsList().

## adjustPlotWidth

void PlotDialog::adjustPlotWidth | ( | double | height | ) |

private slot

References boxPlotWidth, keepPlotRatioBox, plot_aspect_ratio, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initPlotGeometryPage(), and insertColumnsList().

## applyBoxWhiskersFormat()

void PlotDialog::applyBoxWhiskersFormat | ( | BoxCurve * | c | ) |

private

References applyBoxWhiskersFormatToCurve(), applyBoxWhiskersFormatToLayer(), boxPage, boxWhiskersFormatApplyToBox, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyBoxWhiskersFormatToCurve()

void PlotDialog::applyBoxWhiskersFormatToCurve | ( | BoxCurve * | b | ) |

private

References boxBoxLabels, boxCnt, boxCoef, boxRange, boxType, boxWhiskerLabels, boxWhiskersCoef, boxWhiskersRange, boxWidth, BoxCurve::setBoxRange(), BoxCurve::setBoxStyle(), BoxCurve::setBoxWidth(), BoxCurve::setWhiskersRange(), BoxCurve::showBoxLabels(), BoxCurve::showWhiskerLabels(), and whiskerCnt.

Referenced by applyBoxWhiskersFormat(), applyBoxWhiskersFormatToLayer(), and insertColumnsList().

## applyBoxWhiskersFormatToLayer()

void PlotDialog::applyBoxWhiskersFormatToLayer | ( | Graph * | g | ) |

private

References applyBoxWhiskersFormatToCurve(), Graph::Box, Graph::curveCount(), Graph::dataCurve(), and PlotCurve::type().

Referenced by applyBoxWhiskersFormat(), and insertColumnsList().

## applyCanvasFormat

void PlotDialog::applyCanvasFormat | ( |  | ) |

private slot

References applyCanvasFormatToLayer(), canvasPage, d_ml, LayerItem::graph(), imageApplyToBox, MultiLayer::layersList(), listBox, ApplicationWindow::modifiedProject(), privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), chooseBackgroundImageFile(), initCanvasPage(), insertColumnsList(), and updateCanvasTransparency().

## applyCanvasFormatToLayer()

void PlotDialog::applyCanvasFormatToLayer | ( | Graph * | g | ) |

private

References boxCanvasColor, boxCanvasTransparency, boxFrameColor, boxFramed, boxFrameWidth, ColorButton::color(), colorBtn, imageBtn, imagePathBox, Graph::setCanvasBackgroundImage(), and Graph::setCanvasFrame().

Referenced by applyCanvasFormat(), and insertColumnsList().

## applyCanvasSize()

void PlotDialog::applyCanvasSize | ( |  | ) |

private

References boxLayerHeight, boxLayerWidth, boxX, boxY, d_ml, layerCanvasRect(), layerGeometryPage, MultiLayer::layersList(), privateTabWidget, Graph::setCanvasSize(), MultiLayer::setLayerCanvasSize(), sizeApplyToBox, unitBox, DoubleSpinBox::value(), and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyErrorBarFormat()

void PlotDialog::applyErrorBarFormat | ( | ErrorBarsCurve * | c | ) |

private

References applyErrorBarFormatToCurve(), applyErrorBarFormatToLayer(), errorBarsFormatApplyToBox, errorsPage, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyErrorBarFormatToCurve()

void PlotDialog::applyErrorBarFormatToCurve | ( | ErrorBarsCurve * | err,
|  | bool | color = `true`
| ) |  |

private

References boxSkipErrorBars, capBox, ColorButton::color(), ErrorBarsCurve::color(), colorBox, minusBox, plusBox, PlotCurve::setSkipSymbolsCount(), throughBox, Graph::updateErrorBars(), DoubleSpinBox::value(), widthBox, and xBox.

Referenced by applyErrorBarFormat(), applyErrorBarFormatToLayer(), and insertColumnsList().

## applyErrorBarFormatToLayer()

void PlotDialog::applyErrorBarFormatToLayer | ( | Graph * | g | ) |

private

References applyErrorBarFormatToCurve(), Graph::curvesList(), Graph::ErrorBars, and PlotCurve::type().

Referenced by applyErrorBarFormat(), and insertColumnsList().

## applyFormatToLayer()

void PlotDialog::applyFormatToLayer | ( | Graph * | g | ) |

private

References boxAntialiasing, boxAutoscaling, boxBackgroundColor, boxBackgroundTransparency, boxBorderColor, boxBorderWidth, boxMargin, ColorButton::color(), Graph::enableAutoscaling(), layerScaleFonts, Graph::setAntialiasing(), Graph::setAutoscaleFonts(), Graph::setBackgroundColor(), Graph::setFrame(), and Graph::updateScale().

Referenced by applyLayerFormat(), and insertColumnsList().

## applyGap()

void PlotDialog::applyGap | ( | Graph * | g | ) |

private

References applyGapToLayer(), d_ml, gapApplyToBox, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), privateTabWidget, spacingPage, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyGapToLayer()

void PlotDialog::applyGapToLayer | ( | Graph * | g | ) |

private

References Graph::curveCount(), Graph::dataCurve(), gapBox, Graph::Histogram, Graph::HorizontalBars, QwtBarCurve::setGap(), PlotCurve::type(), and Graph::VerticalBars.

Referenced by applyGap(), and insertColumnsList().

## applyLabelsFormat()

void PlotDialog::applyLabelsFormat | ( | QwtPlotItem * | c | ) |

private

References applyLabelsFormatToItem(), applyLabelsFormatToLayer(), boxLabelsFormatApplyToBox, labelsPage, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyLabelsFormatToItem()

void PlotDialog::applyLabelsFormatToItem | ( | QwtPlotItem * | it | ) |

private

References Graph::Box, boxLabelsAngle, boxLabelsColor, boxLabelsColumn, boxLabelsWhiteOut, boxLabelsXOffset, boxLabelsYOffset, ColorButton::color(), labelsAlignment(), labelsGroupBox, DataCurve::setLabelsAlignment(), Spectrogram::setLabelsColor(), DataCurve::setLabelsColor(), Spectrogram::setLabelsOffset(), DataCurve::setLabelsOffset(), Spectrogram::setLabelsRotation(), DataCurve::setLabelsRotation(), Spectrogram::setLabelsWhiteOut(), DataCurve::setLabelsWhiteOut(), Spectrogram::showContourLineLabels(), PlotCurve::type(), and DoubleSpinBox::value().

Referenced by applyLabelsFormat(), applyLabelsFormatToLayer(), and insertColumnsList().

## applyLabelsFormatToLayer()

void PlotDialog::applyLabelsFormatToLayer | ( | Graph * | g | ) |

private

References applyLabelsFormatToItem(), and Graph::curvesList().

Referenced by applyLabelsFormat(), and insertColumnsList().

## applyLayerFormat

void PlotDialog::applyLayerFormat | ( |  | ) |

private slot

References applyFormatToLayer(), backgroundApplyToBox, d_ml, LayerItem::graph(), layerPage, MultiLayer::layersList(), listBox, ApplicationWindow::modifiedProject(), privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), initLayerPage(), insertColumnsList(), and updateBackgroundTransparency().

## applyLineFormat()

void PlotDialog::applyLineFormat | ( | QwtPlotCurve * | c | ) |

private

References applyLineFormatToLayer(), MultiLayer::layersList(), lineFormatApplyToBox, linePage, ApplicationWindow::modifiedProject(), Graph::multiLayer(), privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyLineFormatToLayer()

void PlotDialog::applyLineFormatToLayer | ( | Graph * | g | ) |

private

References boxApplyColorTo, boxConnect, boxLineColor, boxLineStyle, boxLineTransparency, boxLineWidth, ColorButton::color(), Graph::curvesList(), Graph::ErrorBars, Graph::setCurveStyle(), PenStyleBox::style(), PlotCurve::type(), and DoubleSpinBox::value().

Referenced by applyLineFormat(), and insertColumnsList().

## applyPercentileFormat()

void PlotDialog::applyPercentileFormat | ( | BoxCurve * | c | ) |

private

References applyPercentileFormatToCurve(), applyPercentileFormatToLayer(), MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), percentileFormatApplyToBox, percentilePage, privateTabWidget, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applyPercentileFormatToCurve()

void PlotDialog::applyPercentileFormatToCurve | ( | BoxCurve * | b | ) |

private

References box1Style, box99Style, boxEdgeColor, boxEdgeWidth, boxFillSymbols, boxMaxStyle, boxMeanStyle, boxMinStyle, boxPercentileTransparency, boxPercFillColor, boxPercSize, ColorButton::color(), SymbolBox::selectedSymbol(), BoxCurve::setMaxStyle(), BoxCurve::setMeanStyle(), BoxCurve::setMinStyle(), BoxCurve::setP1Style(), BoxCurve::setP99Style(), and DoubleSpinBox::value().

Referenced by applyPercentileFormat(), applyPercentileFormatToLayer(), and insertColumnsList().

## applyPercentileFormatToLayer()

void PlotDialog::applyPercentileFormatToLayer | ( | Graph * | g | ) |

private

References applyPercentileFormatToCurve(), Graph::Box, Graph::curveCount(), Graph::dataCurve(), and PlotCurve::type().

Referenced by applyPercentileFormat(), and insertColumnsList().

## applySymbolsFormat()

void PlotDialog::applySymbolsFormat | ( | QwtPlotCurve * | c | ) |

private

References applySymbolsFormatToCurve(), applySymbolsFormatToLayer(), MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), privateTabWidget, symbolPage, symbolsFormatApplyToBox, and ApplicationWindow::windowsList().

Referenced by acceptParams(), and insertColumnsList().

## applySymbolsFormatToCurve()

void PlotDialog::applySymbolsFormatToCurve | ( | QwtPlotCurve * | c,
|  | bool | fillColor = `true`,
|  | bool | penColor = `true`
| ) |  |

private

References boxFillColor, boxFillSymbol, boxPenWidth, boxSkipSymbols, boxSymbolColor, boxSymbolSize, boxSymbolStyle, boxSymbolTransparency, ColorButton::color(), imageSymbolBtn, imageSymbolPathBox, ImageSymbol::pixmap(), SymbolBox::selectedSymbol(), standardSymbolBtn, symbolImageLabel, and DoubleSpinBox::value().

Referenced by applySymbolsFormat(), applySymbolsFormatToLayer(), and insertColumnsList().

## applySymbolsFormatToLayer()

void PlotDialog::applySymbolsFormatToLayer | ( | Graph * | g | ) |

private

References applySymbolsFormatToCurve(), and Graph::curvesList().

Referenced by applySymbolsFormat(), and insertColumnsList().

## changePlotType

void PlotDialog::changePlotType | ( | int | plotType | ) |

private slot

References acceptParams(), boxConnect, boxFillColor, boxFillSymbol, boxPenWidth, boxPlotType, boxSymbolColor, boxSymbolSize, boxSymbolStyle, boxSymbolTransparency, clearTabWidget(), ColorButton::color(), Graph::ColorMap, Graph::Contour, customVectorsPage(), CurveTreeItem::graph(), Graph::GrayScale, insertTabs(), Graph::Line, Graph::LineSymbols, listBox, CurveTreeItem::PlotCurveTreeItem, CurveTreeItem::plotItem(), CurveTreeItem::plotItemIndex(), CurveTreeItem::plotItemStyle(), Graph::Scatter, SymbolBox::selectedSymbol(), Graph::setCurveStyle(), PlotCurve::setPlotStyle(), SymbolBox::setStyle(), VectorCurve::setVectorStyle(), DoubleSpinBox::value(), Graph::VectXYAM, Graph::VectXYXY, VectorCurve::XYAM, and VectorCurve::XYXY.

Referenced by insertColumnsList(), and PlotDialog().

## chooseBackgroundImageFile

void PlotDialog::chooseBackgroundImageFile | ( | const QString & | fn = `QString()` | ) |

private slot

References applyCanvasFormat(), Graph::canvasBackgroundFileName(), ApplicationWindow::getFileName(), LayerItem::graph(), ApplicationWindow::imageFilter(), imagePathBox, ApplicationWindow::imagesDirPath, listBox, and ApplicationWindow::modifiedProject().

Referenced by initCanvasPage(), and insertColumnsList().

## chooseLabelsFont

void PlotDialog::chooseLabelsFont | ( |  | ) |

private slot

References listBox, CurveTreeItem::PlotCurveTreeItem, and setLabelsFont().

Referenced by initLabelsPage(), and insertColumnsList().

## chooseSymbolImageFile

void PlotDialog::chooseSymbolImageFile | ( |  | ) |

private slot

References acceptParams(), ApplicationWindow::getFileName(), ApplicationWindow::imageFilter(), ApplicationWindow::imagesDirPath, imageSymbolPathBox, listBox, ApplicationWindow::modifiedProject(), and CurveTreeItem::plotItem().

Referenced by initSymbolsPage(), and insertColumnsList().

## clearTabWidget()

void PlotDialog::clearTabWidget | ( |  | ) |

private

References axesPage, boxPage, canvasPage, contourLinesPage, enrichmentDialog, errorsPage, fontsPage, functionPage, histogramPage, labelsPage, layerDisplayPage, layerGeometryPage, layerPage, linePage, miscPage, percentilePage, pieGeometryPage, pieLabelsPage, piePage, plotGeometryPage, printPage, privateTabWidget, spacingPage, spectrogramPage, spectroValuesPage, speedPage, symbolPage, and vectPage.

Referenced by changePlotType(), insertColumnsList(), PlotDialog(), removeSelectedObject(), and updateTabWindow().

## closeEvent()

void PlotDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References btnMore, ApplicationWindow::d_extended_plot_dialog, ApplicationWindow::d_keep_aspect_ration, keepPlotRatioBox, and keepRatioBox.

Referenced by insertColumnsList().

## contextMenuEvent()

void PlotDialog::contextMenuEvent | ( | QContextMenuEvent * | e | ) |

private

References editCurve(), editCurveRange(), FrameWidgetTreeItem::FrameWidgetItem, Graph::Function, listBox, CurveTreeItem::PlotCurveTreeItem, raiseCurve(), removeSelectedObject(), shiftCurveBy(), and updateVisibility().

Referenced by insertColumnsList().

## customVectorsPage

void PlotDialog::customVectorsPage | ( | bool | angleMag | ) |

private slot

References GroupBoxVectEnd, labelPosition, labelXEnd, labelYEnd, and vectPosBox.

Referenced by changePlotType(), insertColumnsList(), and insertTabs().

## displayCoordinates

void PlotDialog::displayCoordinates | ( | int | unit,
|  | Graph * | g = `0`
| ) |  |

private slot

References aspect_ratio, boxLayerHeight, boxLayerWidth, boxX, boxY, FrameWidget::heightIn(), listBox, FrameWidget::Pixel, FrameWidget::Point, DoubleSpinBox::setFormat(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), FrameWidget::widthIn(), FrameWidget::xIn(), and FrameWidget::yIn().

Referenced by initLayerGeometryPage(), insertColumnsList(), and setActiveLayer().

## displayPlotCoordinates

void PlotDialog::displayPlotCoordinates | ( | int | unit | ) |

private slot

References boxPlotHeight, boxPlotWidth, boxPlotX, boxPlotY, d_ml, FrameWidget::heightIn(), FrameWidget::Pixel, plot_aspect_ratio, FrameWidget::Point, DoubleSpinBox::setFormat(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), FrameWidget::widthIn(), FrameWidget::xIn(), and FrameWidget::yIn().

Referenced by initPlotGeometryPage(), insertColumnsList(), and setMultiLayer().

## editCurve

void PlotDialog::editCurve | ( |  | ) |

private slot

References Graph::Function, CurveTreeItem::graph(), listBox, plotAssociationsDialogClosed(), CurveTreeItem::PlotCurveTreeItem, CurveTreeItem::plotItem(), CurveTreeItem::plotItemIndex(), ApplicationWindow::showFunctionDialog(), and ApplicationWindow::showPlotAssociations().

Referenced by contextMenuEvent(), insertColumnsList(), and PlotDialog().

## editCurveRange

void PlotDialog::editCurveRange | ( |  | ) |

private slot

References CurveTreeItem::graph(), listBox, CurveTreeItem::PlotCurveTreeItem, CurveTreeItem::plotItemIndex(), and CurveRangeDialog::setCurveToModify().

Referenced by contextMenuEvent(), insertColumnsList(), and PlotDialog().

## enableBoxApplyColor

void PlotDialog::enableBoxApplyColor | ( | int | index | ) |

private slot

References boxApplyColorTo.

Referenced by initLinePage(), and insertColumnsList().

## enableLabelsPage

void PlotDialog::enableLabelsPage | ( |  | ) |

private slot

References acceptParams(), boxBoxLabels, boxWhiskerLabels, labelsPage, and privateTabWidget.

Referenced by initBoxPage(), and insertColumnsList().

## fillBoxSymbols

void PlotDialog::fillBoxSymbols | ( |  | ) |

private slot

References acceptParams(), boxFillSymbols, boxPercentileTransparency, boxPercFillColor, and percentileTransparencySlider.

Referenced by initPercentilePage(), and insertColumnsList().

## fillSymbols

void PlotDialog::fillSymbols | ( |  | ) |

private slot

References acceptParams(), boxFillColor, boxFillSymbol, boxSymbolTransparency, and symbTransparencySlider.

Referenced by initSymbolsPage(), and insertColumnsList().

## initAxesPage()

void PlotDialog::initAxesPage | ( |  | ) |

private

References axesPage, boxXAxis, boxYAxis, and privateTabWidget.

Referenced by insertColumnsList(), and PlotDialog().

## initBoxPage()

void PlotDialog::initBoxPage | ( |  | ) |

private

References acceptParams(), boxBoxLabels, boxCnt, boxCntLabel, boxCoef, boxCoeffLabel, boxPage, boxRange, boxRangeLabel, boxType, boxWhiskerLabels, boxWhiskersCoef, boxWhiskersFormatApplyToBox, boxWhiskersRange, boxWidth, buttonBoxStatistics, enableLabelsPage(), privateTabWidget, setBoxRangeType(), setBoxType(), setWhiskersRange(), showBoxStatistics(), whiskerCnt, whiskerCntLabel, whiskerCoeffLabel, and whiskerRangeLabel.

Referenced by insertColumnsList(), and PlotDialog().

## initCanvasPage()

void PlotDialog::initCanvasPage | ( |  | ) |

private

References applyCanvasFormat(), boxCanvasColor, boxCanvasTransparency, boxFrameColor, boxFramed, boxFrameWidth, canvasColorBox, canvasDefaultBtn, canvasImageBox, canvasOpacitySlider, canvasPage, chooseBackgroundImageFile(), colorBtn, completer, imageApplyToBox, imageBtn, imagePathBox, privateTabWidget, resizeCanvasToFitImage(), setCanvasDefaultValues(), and updateCanvasTransparency().

Referenced by insertColumnsList(), and PlotDialog().

## initContourLinesPage()

void PlotDialog::initContourLinesPage | ( |  | ) |

private

References autoContourBox, boxContourStyle, btnSetEquidistantLevels, contourLinesDistanceBox, contourLinesEditor, contourLinesPage, contourWidthBox, customPenBtn, defaultContourBox, defaultPenBox, firstContourLineBox, levelsBox, levelsColorBox, levelsGroupBox, privateTabWidget, DoubleSpinBox::setDecimals(), setEquidistantLevels(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), showCustomPenColumn(), and showDefaultContourLinesBox().

Referenced by insertColumnsList(), and PlotDialog().

## initErrorsPage()

void PlotDialog::initErrorsPage | ( |  | ) |

private

References acceptParams(), boxSkipErrorBars, capBox, colorBox, errorBarsFormatApplyToBox, errorsPage, minusBox, pickErrorBarsColor(), plusBox, privateTabWidget, DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), throughBox, widthBox, and xBox.

Referenced by insertColumnsList(), and PlotDialog().

## initFonts()

void PlotDialog::initFonts | ( | const QFont & | titlefont,
|  | const QFont & | axesfont,
|  | const QFont & | numbersfont,
|  | const QFont & | legendfont
| ) |  |

References axesFont, legendFont, numbersFont, and titleFont.

Referenced by ApplicationWindow::showPlotDialog().

## initFontsPage()

void PlotDialog::initFontsPage | ( |  | ) |

private

References btnAxesLabels, btnAxesNumbers, btnLegend, btnTitle, fontsPage, privateTabWidget, setAxesLabelsFont(), setAxesNumbersFont(), setLegendsFont(), and setTitlesFont().

Referenced by insertColumnsList(), and PlotDialog().

## initFunctionPage()

void PlotDialog::initFunctionPage | ( |  | ) |

private

References functionEdit, and functionPage.

Referenced by insertColumnsList(), and PlotDialog().

## initHistogramPage()

void PlotDialog::initHistogramPage | ( |  | ) |

private

References acceptParams(), automaticBox, binSizeBox, buttonStatistics, GroupBoxH, histogramBeginBox, histogramEndBox, histogramPage, privateTabWidget, setAutomaticBinning(), DoubleSpinBox::setMinimum(), and showStatistics().

Referenced by insertColumnsList(), and PlotDialog().

## initLabelsPage()

void PlotDialog::initLabelsPage | ( |  | ) |

private

References acceptParams(), boxLabelsAlign, boxLabelsAngle, boxLabelsColor, boxLabelsColumn, boxLabelsFormatApplyToBox, boxLabelsWhiteOut, boxLabelsXOffset, boxLabelsYOffset, btnLabelsFont, chooseLabelsFont(), justifyLabelsLbl, labelsColumnLbl, labelsGroupBox, labelsPage, privateTabWidget, DoubleSpinBox::setDecimals(), and DoubleSpinBox::setRange().

Referenced by insertColumnsList(), and PlotDialog().

## initLayerDisplayPage()

void PlotDialog::initLayerDisplayPage | ( |  | ) |

private

References acceptParams(), boxBottomAxis, boxGridPosition, boxLeftAxis, boxMissingData, boxRightAxis, boxTopAxis, layerDisplayPage, and privateTabWidget.

Referenced by insertColumnsList(), and PlotDialog().

## initLayerGeometryPage()

void PlotDialog::initLayerGeometryPage | ( |  | ) |

private

References adjustLayerHeight(), adjustLayerWidth(), boxLayerHeight, boxLayerWidth, boxX, boxY, ApplicationWindow::d_keep_aspect_ration, ApplicationWindow::d_layer_geometry_unit, displayCoordinates(), keepRatioBox, layerGeometryPage, privateTabWidget, DoubleSpinBox::setDecimals(), DoubleSpinBox::setMinimum(), sizeApplyToBox, and unitBox.

Referenced by insertColumnsList(), and PlotDialog().

## initLayerPage()

void PlotDialog::initLayerPage | ( |  | ) |

private

References applyLayerFormat(), backgroundApplyToBox, bkgOpacitySlider, boxAntialiasing, boxAutoscaling, boxBackgroundColor, boxBackgroundTransparency, boxBorderColor, boxBorderWidth, boxMargin, layerDefaultBtn, layerPage, layerScaleFonts, privateTabWidget, setLayerDefaultValues(), and updateBackgroundTransparency().

Referenced by insertColumnsList(), and PlotDialog().

## initLayerSpeedPage()

void PlotDialog::initLayerSpeedPage | ( |  | ) |

private

References acceptParams(), boxDouglasPeukerTolerance, boxMaxPoints, privateTabWidget, DoubleSpinBox::setMinimum(), speedModeBox, and speedPage.

Referenced by insertColumnsList(), and PlotDialog().

## initLinePage()

void PlotDialog::initLinePage | ( |  | ) |

private

References acceptParams(), boxApplyColorTo, boxAreaColor, boxConnect, boxCurveOpacity, boxLineColor, boxLineStyle, boxLineTransparency, boxLineWidth, boxPattern, curveOpacitySlider, enableBoxApplyColor(), fillGroupBox, lineFormatApplyToBox, linePage, lineTransparencySlider, privateTabWidget, DoubleSpinBox::setMinimum(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), and showAreaColor().

Referenced by insertColumnsList(), and PlotDialog().

## initMiscPage()

void PlotDialog::initMiscPage | ( |  | ) |

private

References boxLinkAllXAxes, boxLinkXAxes, miscPage, and privateTabWidget.

Referenced by insertColumnsList(), and PlotDialog().

## initPercentilePage()

void PlotDialog::initPercentilePage | ( |  | ) |

private

References acceptParams(), box1Style, box99Style, boxEdgeColor, boxEdgeWidth, boxFillSymbols, boxMaxStyle, boxMeanStyle, boxMinStyle, boxPercentileTransparency, boxPercFillColor, boxPercSize, fillBoxSymbols(), percentileFormatApplyToBox, percentilePage, percentileTransparencySlider, privateTabWidget, DoubleSpinBox::setRange(), and DoubleSpinBox::setSingleStep().

Referenced by insertColumnsList(), and PlotDialog().

## initPieGeometryPage()

void PlotDialog::initPieGeometryPage | ( |  | ) |

private

References acceptParams(), boxPieConterClockwise, boxPieOffset, boxPieStartAzimuth, boxPieThickness, boxPieViewAngle, boxRadius, pieGeometryPage, privateTabWidget, DoubleSpinBox::setRange(), and DoubleSpinBox::setSingleStep().

Referenced by insertColumnsList(), and PlotDialog().

## initPieLabelsPage()

void PlotDialog::initPieLabelsPage | ( |  | ) |

private

References acceptParams(), boxPieCategories, boxPieEdgeDist, boxPiePercentages, boxPieValues, boxPieWedge, pieAutoLabelsBox, pieLabelsPage, privateTabWidget, and DoubleSpinBox::setRange().

Referenced by insertColumnsList(), and PlotDialog().

## initPiePage()

void PlotDialog::initPiePage | ( |  | ) |

private

References boxFirstColor, boxPieLineColor, boxPieLineStyle, boxPieLineWidth, boxPiePattern, piePage, privateTabWidget, DoubleSpinBox::setMinimum(), and DoubleSpinBox::setSingleStep().

Referenced by insertColumnsList(), and PlotDialog().

## initPlotGeometryPage()

void PlotDialog::initPlotGeometryPage | ( |  | ) |

private

References adjustPlotHeight(), adjustPlotWidth(), boxPlotHeight, boxPlotWidth, boxPlotX, boxPlotY, boxResizeLayers, ApplicationWindow::d_keep_aspect_ration, ApplicationWindow::d_layer_geometry_unit, displayPlotCoordinates(), keepPlotRatioBox, keepRatioBox, plotGeometryPage, plotUnitBox, privateTabWidget, DoubleSpinBox::setDecimals(), and DoubleSpinBox::setMinimum().

Referenced by insertColumnsList(), and PlotDialog().

## initPrintPage()

void PlotDialog::initPrintPage | ( |  | ) |

private

References boxPrintCrops, boxScaleLayers, printPage, and privateTabWidget.

Referenced by insertColumnsList(), and PlotDialog().

## initSpacingPage()

void PlotDialog::initSpacingPage | ( |  | ) |

private

References acceptParams(), barsOffsetLabel, gapApplyToBox, gapBox, offsetBox, privateTabWidget, and spacingPage.

Referenced by insertColumnsList(), and PlotDialog().

## initSpectrogramPage()

void PlotDialog::initSpectrogramPage | ( |  | ) |

private

References axisScaleBox, colorMapEditor, colorScaleBox, colorScaleWidthBox, customScaleBox, ApplicationWindow::d_decimal_digits, defaultScaleBox, grayScaleBox, imageGroupBox, privateTabWidget, showColorMapEditor(), and spectrogramPage.

Referenced by insertColumnsList(), and PlotDialog().

## initSpectrogramValuesPage()

void PlotDialog::initSpectrogramValuesPage | ( |  | ) |

private

References boxSpectroMatrix, boxUseMatrixFormula, ApplicationWindow::matrixNames(), privateTabWidget, and spectroValuesPage.

Referenced by insertColumnsList(), and PlotDialog().

## initSymbolsPage()

void PlotDialog::initSymbolsPage | ( |  | ) |

private

References acceptParams(), boxFillColor, boxFillSymbol, boxPenWidth, boxSkipSymbols, boxSymbolColor, boxSymbolSize, boxSymbolStyle, boxSymbolTransparency, chooseSymbolImageFile(), completer, fillSymbols(), imageSymbolBtn, imageSymBolFormatBox, imageSymbolPathBox, privateTabWidget, DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), standardSymbolBtn, standardSymbolFormatBox, symbolImageLabel, symbolPage, symbolsFormatApplyToBox, and symbTransparencySlider.

Referenced by insertColumnsList(), and PlotDialog().

## initVectPage()

void PlotDialog::initVectPage | ( |  | ) |

private

References filledHeadBox, GroupBoxVectEnd, headAngleBox, headLengthBox, labelPosition, labelXEnd, labelYEnd, privateTabWidget, DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), vectColorBox, vectPage, vectPosBox, vectWidthBox, xEndBox, and yEndBox.

Referenced by insertColumnsList(), and PlotDialog().

## insertColumnsList()

void PlotDialog::insertColumnsList | ( | const QStringList & | names | ) |

inline

References acceptParams(), adjustLayerHeight(), adjustLayerWidth(), adjustPlotHeight(), adjustPlotWidth(), applyBoxWhiskersFormat(), applyBoxWhiskersFormatToCurve(), applyBoxWhiskersFormatToLayer(), applyCanvasFormat(), applyCanvasFormatToLayer(), applyCanvasSize(), applyErrorBarFormat(), applyErrorBarFormatToCurve(), applyErrorBarFormatToLayer(), applyFormatToLayer(), applyGap(), applyGapToLayer(), applyLabelsFormat(), applyLabelsFormatToItem(), applyLabelsFormatToLayer(), applyLayerFormat(), applyLineFormat(), applyLineFormatToLayer(), applyPercentileFormat(), applyPercentileFormatToCurve(), applyPercentileFormatToLayer(), applySymbolsFormat(), applySymbolsFormatToCurve(), applySymbolsFormatToLayer(), changePlotType(), chooseBackgroundImageFile(), chooseLabelsFont(), chooseSymbolImageFile(), clearTabWidget(), closeEvent(), columnNames, contextMenuEvent(), customVectorsPage(), displayCoordinates(), displayPlotCoordinates(), editCurve(), editCurveRange(), enableBoxApplyColor(), enableLabelsPage(), fillBoxSymbols(), fillSymbols(), initAxesPage(), initBoxPage(), initCanvasPage(), initContourLinesPage(), initErrorsPage(), initFontsPage(), initFunctionPage(), initHistogramPage(), initLabelsPage(), initLayerDisplayPage(), initLayerGeometryPage(), initLayerPage(), initLayerSpeedPage(), initLinePage(), initMiscPage(), initPercentilePage(), initPieGeometryPage(), initPieLabelsPage(), initPiePage(), initPlotGeometryPage(), initPrintPage(), initSpacingPage(), initSpectrogramPage(), initSpectrogramValuesPage(), initSymbolsPage(), initVectPage(), insertTabs(), labelsAlignment(), layerCanvasRect(), pickErrorBarsColor(), plotAssociationsDialogClosed(), quit(), raiseCurve(), removeSelectedObject(), resizeCanvasToFitImage(), resizeLayerToFitImage(), selectCurve(), selectMultiLayerItem(), setActiveCurve(), setActiveLayer(), setAutomaticBinning(), setAxesLabelsFont(), setAxesNumbersFont(), setBoxRangeType(), setBoxType(), setCanvasDefaultValues(), setEquidistantLevels(), setLabelsFont(), setLabelsFontToLayer(), setLabelsFontToPlotItem(), setLayerDefaultValues(), setLegendsFont(), setMultiLayer(), setPlotType(), setTitlesFont(), setWhiskersRange(), shiftCurveBy(), showAll(), showAllLabelControls(), showAreaColor(), showBoxStatistics(), showColorMapEditor(), showCustomPenColumn(), showDefaultContourLinesBox(), showStatistics(), showWorksheet(), updateBackgroundTransparency(), updateCanvasTransparency(), updateContourLevelsDisplay(), updateEndPointColumns(), updateTabWindow(), updateTreeWidgetItem(), and updateVisibility().

Referenced by ApplicationWindow::showPlotDialog().

## insertTabs

void PlotDialog::insertTabs | ( | int | plot_type | ) |

private slot

References axesPage, Graph::Box, boxConnect, boxPage, Graph::ColorMap, Graph::Contour, contourLinesPage, Graph::curveIndex(), customVectorsPage(), Graph::ErrorBars, errorsPage, Graph::Function, functionEdit, functionPage, Graph::GrayScale, DataCurve::hasSelectedLabels(), Graph::Histogram, histogramPage, Graph::HorizontalBars, labelsPage, Graph::Line, linePage, Graph::LineSymbols, listBox, percentilePage, Graph::Pie, pieGeometryPage, pieLabelsPage, piePage, CurveTreeItem::PlotCurveTreeItem, privateTabWidget, Graph::Scatter, FunctionDialog::setCurveToModify(), DataCurve::setLabelsSelected(), spacingPage, spectrogramPage, spectroValuesPage, symbolPage, PlotCurve::type(), vectPage, Graph::VectXYAM, Graph::VectXYXY, and Graph::VerticalBars.

Referenced by changePlotType(), insertColumnsList(), and updateTabWindow().

## labelsAlignment()

int PlotDialog::labelsAlignment | ( |  | ) |

private

References boxLabelsAlign.

Referenced by applyLabelsFormatToItem(), and insertColumnsList().

## layerCanvasRect()

QRect PlotDialog::layerCanvasRect | ( | QWidget * | widget,
|  | double | x,
|  | double | y,
|  | double | w,
|  | double | h,
|  | FrameWidget::Unit | unit
| ) |  |

private

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by acceptParams(), applyCanvasSize(), and insertColumnsList().

## pickErrorBarsColor

void PlotDialog::pickErrorBarsColor | ( |  | ) |

private slot

References capBox, ColorButton::color(), colorBox, CurveTreeItem::graph(), listBox, minusBox, CurveTreeItem::PlotCurveTreeItem, CurveTreeItem::plotItem(), plusBox, throughBox, Graph::updateErrorBars(), DoubleSpinBox::value(), widthBox, and xBox.

Referenced by initErrorsPage(), and insertColumnsList().

## plotAssociationsDialogClosed

void PlotDialog::plotAssociationsDialogClosed | ( |  | ) |

private slot

References Graph::Function, listBox, CurveTreeItem::PlotCurveTreeItem, CurveTreeItem::plotItem(), and PlotCurve::type().

Referenced by editCurve(), and insertColumnsList().

## quit

void PlotDialog::quit | ( |  | ) |

private slot

References acceptParams().

Referenced by insertColumnsList(), and PlotDialog().

## raiseCurve

void PlotDialog::raiseCurve | ( |  | ) |

private slot

References shiftCurveBy().

Referenced by contextMenuEvent(), insertColumnsList(), and PlotDialog().

## removeSelectedObject

void PlotDialog::removeSelectedObject | ( |  | ) |

private slot

References canvasPage, clearTabWidget(), Graph::curveCount(), d_ml, enrichmentDialog, Graph::enrichmentsList(), FrameWidgetTreeItem::FrameWidgetItem, layerDisplayPage, layerGeometryPage, MultiLayer::layerIndex(), layerPage, LayerItem::LayerTreeItem, listBox, CurveTreeItem::PlotCurveTreeItem, privateTabWidget, Graph::remove(), Graph::removeCurve(), MultiLayer::removeLayer(), setActiveCurve(), setActiveLayer(), setMultiLayer(), speedPage, and Graph::updatePlot().

Referenced by contextMenuEvent(), insertColumnsList(), and PlotDialog().

## resizeCanvasToFitImage

void PlotDialog::resizeCanvasToFitImage | ( |  | ) |

private slot

References canvasPage, d_ml, LayerItem::graph(), imageApplyToBox, MultiLayer::layersList(), listBox, ApplicationWindow::modifiedProject(), privateTabWidget, resizeLayerToFitImage(), and ApplicationWindow::windowsList().

Referenced by initCanvasPage(), and insertColumnsList().

## resizeLayerToFitImage()

void PlotDialog::resizeLayerToFitImage | ( | Graph * | g | ) |

private

References Graph::backgroundPixmap(), and Graph::setCanvasSize().

Referenced by insertColumnsList(), and resizeCanvasToFitImage().

## selectCurve

void PlotDialog::selectCurve | ( | int | index | ) |

slot

References LayerItem::LayerTreeItem, and listBox.

Referenced by insertColumnsList(), and ApplicationWindow::showPlotDialog().

## selectMultiLayerItem()

void PlotDialog::selectMultiLayerItem | ( |  | ) |

References listBox.

Referenced by insertColumnsList(), and ApplicationWindow::showPlotDialog().

## setActiveCurve

void PlotDialog::setActiveCurve | ( | CurveTreeItem * | item | ) |

private slot

References QwtHistogram::autoBinning(), autoContourBox, automaticBox, axisScaleBox, barsOffsetLabel, Graph::Box, box1Style, box99Style, boxAreaColor, boxBoxLabels, boxCnt, boxCoef, boxConnect, boxContourStyle, boxCurveOpacity, boxEdgeColor, boxEdgeWidth, boxFillColor, boxFillSymbol, boxFillSymbols, boxFirstColor, boxLabelsAlign, boxLabelsAngle, boxLabelsColor, boxLabelsColumn, boxLabelsWhiteOut, boxLabelsXOffset, boxLabelsYOffset, boxLineColor, boxLineStyle, boxLineTransparency, boxLineWidth, boxMaxStyle, boxMeanStyle, boxMinStyle, boxPattern, boxPenWidth, boxPercentileTransparency, boxPercFillColor, boxPercSize, boxPieCategories, boxPieConterClockwise, boxPieEdgeDist, boxPieLineColor, boxPieLineStyle, boxPieLineWidth, boxPieOffset, boxPiePattern, boxPiePercentages, boxPieStartAzimuth, boxPieThickness, boxPieValues, boxPieViewAngle, boxPieWedge, boxRadius, BoxCurve::boxRange(), boxRange, BoxCurve::boxRangeType(), boxSkipErrorBars, boxSkipSymbols, boxSpectroMatrix, BoxCurve::boxStyle(), boxSymbolColor, boxSymbolSize, boxSymbolStyle, boxSymbolTransparency, boxType, boxUseMatrixFormula, boxWhiskerLabels, boxWhiskersCoef, boxWhiskersRange, BoxCurve::boxWidth(), boxWidth, boxXAxis, boxYAxis, btnDown, btnEditCurve, btnEditCurveRange, btnUp, btnWorksheet, capBox, ErrorBarsCurve::capLength(), ErrorBarsCurve::color(), VectorCurve::color(), PieCurve::color(), Spectrogram::colorBarWidth(), colorBox, Spectrogram::colorMap(), colorMapEditor, Spectrogram::colorMapPolicy(), Spectrogram::colorScaleAxis(), colorScaleBox, colorScaleWidthBox, Table::columnsList(), contourLinesEditor, contourWidthBox, PieCurve::counterClockwise(), curveOpacitySlider, Spectrogram::Custom, customPenBtn, customScaleBox, Spectrogram::Default, defaultContourBox, defaultScaleBox, Graph::ErrorBars, VectorCurve::filledArrowHead(), filledHeadBox, fillGroupBox, PieCurve::firstColor(), PieCurve::fixedLabelsPosition(), Matrix::formula(), Graph::Function, functionEdit, QwtBarCurve::gap(), gapApplyToBox, gapBox, CurveTreeItem::graph(), Spectrogram::GrayScale, grayScaleBox, BoxCurve::hasBoxLabels(), Spectrogram::hasColorScale(), Spectrogram::hasLabels(), Spectrogram::hasSelectedLabels(), DataCurve::hasVisibleLabels(), BoxCurve::hasWhiskerLabels(), VectorCurve::headAngle(), headAngleBox, VectorCurve::headLength(), headLengthBox, Graph::Histogram, Graph::HorizontalBars, PieCurve::horizontalOffset(), imageGroupBox, ImageSymbol::imagePath(), imageSymbolBtn, imageSymbolPathBox, QwtBarCurve::isStacked(), PieCurve::labelCategories(), DataCurve::labelsAlignment(), PieCurve::labelsAutoFormat(), Spectrogram::labelsColor(), DataCurve::labelsColor(), DataCurve::labelsColumnName(), PieCurve::labelsEdgeDistance(), labelsGroupBox, labelsPage, PieCurve::labelsPercentagesFormat(), Spectrogram::labelsRotation(), DataCurve::labelsRotation(), PieCurve::labelsValuesFormat(), Spectrogram::labelsWhiteOut(), DataCurve::labelsWhiteOut(), Spectrogram::labelsXOffset(), DataCurve::labelsXOffset(), Spectrogram::labelsYOffset(), DataCurve::labelsYOffset(), levelsColorBox, levelsGroupBox, lineTransparencySlider, listBox, Spectrogram::matrix(), BoxCurve::maxStyle(), BoxCurve::meanStyle(), BoxCurve::minStyle(), minusBox, ErrorBarsCurve::minusSide(), QwtBarCurve::offset(), offsetBox, BoxCurve::p1Style(), BoxCurve::p99Style(), PieCurve::pattern(), percentileTransparencySlider, Graph::Pie, pieAutoLabelsBox, ImageSymbol::pixmap(), CurveTreeItem::plotItem(), CurveTreeItem::plotItemIndex(), CurveTreeItem::plotItemStyle(), plusBox, ErrorBarsCurve::plusSide(), VectorCurve::position(), privateTabWidget, PieCurve::radius(), Spectrogram::range(), BoxCurve::SD, BoxCurve::SE, CurveTreeItem::setActive(), setAutomaticBinning(), setBoxRangeType(), setBoxType(), ColorButton::setColor(), ColorMapEditor::setColorMap(), FunctionDialog::setCurveToModify(), PatternBox::setPattern(), ColorMapEditor::setRange(), ContourLinesEditor::setSpectrogram(), PenStyleBox::setStyle(), SymbolBox::setStyle(), DoubleSpinBox::setValue(), setWhiskersRange(), showAllLabelControls(), PlotCurve::skipSymbolsCount(), Graph::Spline, standardSymbolBtn, PieCurve::startAzimuth(), symbolImageLabel, symbTransparencySlider, DataCurve::table(), PieCurve::thickness(), throughBox, ErrorBarsCurve::throughSymbol(), PlotCurve::type(), updateContourLevelsDisplay(), updateEndPointColumns(), Spectrogram::useColorMapPen(), Spectrogram::useMatrixFormula(), vectColorBox, vectPosBox, vectWidthBox, Graph::VectXYAM, Graph::VectXYXY, Graph::VerticalBars, Graph::VerticalSteps, PieCurve::viewAngle(), whiskerCnt, BoxCurve::whiskersRange(), BoxCurve::whiskersRangeType(), ErrorBarsCurve::width(), VectorCurve::width(), widthBox, xBox, and ErrorBarsCurve::xErrors().

Referenced by insertColumnsList(), removeSelectedObject(), shiftCurveBy(), and updateTabWindow().

## setActiveLayer

void PlotDialog::setActiveLayer | ( | LayerItem * | item | ) |

private slot

References Graph::antialiasing(), aspect_ratio, Graph::autoscaleFonts(), Graph::backgroundPixmap(), bkgOpacitySlider, boxAntialiasing, boxAutoscaling, boxBackgroundColor, boxBackgroundTransparency, boxBorderColor, boxBorderWidth, boxBottomAxis, boxCanvasColor, boxCanvasTransparency, boxDouglasPeukerTolerance, boxFrameColor, boxFramed, boxFrameWidth, boxGridPosition, boxLayerHeight, boxLayerWidth, boxLeftAxis, boxMargin, boxMaxPoints, boxMissingData, boxRightAxis, boxTopAxis, btnEditCurve, btnEditCurveRange, btnWorksheet, Graph::canvasBackgroundFileName(), Graph::canvasFrameColor(), Graph::canvasFrameWidth(), canvasOpacitySlider, curvePlotTypeBox, displayCoordinates(), Graph::frameColor(), Graph::getDouglasPeukerTolerance(), LayerItem::graph(), Graph::hasGridOnTop(), imageBtn, imagePathBox, Graph::isAutoscalingEnabled(), Graph::isMissingDataGapEnabled(), layerScaleFonts, Graph::paletteBackgroundColor(), LayerItem::setActive(), ColorButton::setColor(), DoubleSpinBox::setValue(), speedModeBox, Graph::speedModeMaxPoints(), and unitBox.

Referenced by insertColumnsList(), removeSelectedObject(), and updateTabWindow().

## setAutomaticBinning

void PlotDialog::setAutomaticBinning | ( | bool | on = `true` | ) |

private slot

References QwtHistogram::begin(), QwtHistogram::binSize(), binSizeBox, QwtHistogram::end(), GroupBoxH, Graph::Histogram, histogramBeginBox, histogramEndBox, listBox, CurveTreeItem::plotItem(), DoubleSpinBox::setValue(), and PlotCurve::type().

Referenced by acceptParams(), initHistogramPage(), insertColumnsList(), and setActiveCurve().

## setAxesLabelsFont

void PlotDialog::setAxesLabelsFont | ( |  | ) |

private slot

References axesFont.

Referenced by initFontsPage(), and insertColumnsList().

## setAxesNumbersFont

void PlotDialog::setAxesNumbersFont | ( |  | ) |

private slot

References numbersFont.

Referenced by initFontsPage(), and insertColumnsList().

## setBoxRangeType

void PlotDialog::setBoxRangeType | ( | int | index | ) |

private slot

References boxCnt, boxCntLabel, boxCoef, boxCoeffLabel, BoxCurve::SD, BoxCurve::SE, and BoxCurve::UserDef.

Referenced by initBoxPage(), insertColumnsList(), and setActiveCurve().

## setBoxType

void PlotDialog::setBoxType | ( | int | index | ) |

private slot

References boxCnt, boxCntLabel, boxCoef, boxCoeffLabel, boxRange, boxRangeLabel, BoxCurve::NoBox, BoxCurve::SD, BoxCurve::SE, BoxCurve::UserDef, and BoxCurve::WindBox.

Referenced by initBoxPage(), insertColumnsList(), and setActiveCurve().

## setCanvasDefaultValues

void PlotDialog::setCanvasDefaultValues | ( |  | ) |

private slot

References boxCanvasColor, boxCanvasTransparency, boxFrameColor, boxFramed, boxFrameWidth, ApplicationWindow::canvasFrameWidth, ColorButton::color(), ApplicationWindow::d_canvas_frame_color, ApplicationWindow::d_graph_canvas_color, ApplicationWindow::d_graph_canvas_opacity, and ApplicationWindow::saveSettings().

Referenced by initCanvasPage(), and insertColumnsList().

## setEquidistantLevels

void PlotDialog::setEquidistantLevels | ( |  | ) |

private slot

References contourLinesDistanceBox, contourLinesEditor, firstContourLineBox, levelsBox, listBox, CurveTreeItem::plotItem(), Spectrogram::setContourLevels(), ContourLinesEditor::updateContents(), and DoubleSpinBox::value().

Referenced by initContourLinesPage(), and insertColumnsList().

## setLabelsFont()

void PlotDialog::setLabelsFont | ( | const QFont & | font,
|  | Graph * | plot,
|  | const QwtPlotItem * | i
| ) |  |

private

References boxLabelsFormatApplyToBox, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), setLabelsFontToLayer(), setLabelsFontToPlotItem(), and ApplicationWindow::windowsList().

Referenced by chooseLabelsFont(), insertColumnsList(), and setLabelsFontToPlotItem().

## setLabelsFontToLayer()

void PlotDialog::setLabelsFontToLayer | ( | const QFont & | font,
|  | Graph * | g
| ) |  |

private

References Graph::curvesList(), and setLabelsFontToPlotItem().

Referenced by insertColumnsList(), and setLabelsFont().

## setLabelsFontToPlotItem()

void PlotDialog::setLabelsFontToPlotItem | ( | const QFont & | font,
|  | const QwtPlotItem * | i
| ) |  |

private

References setLabelsFont().

Referenced by insertColumnsList(), setLabelsFont(), and setLabelsFontToLayer().

## setLayerDefaultValues

void PlotDialog::setLayerDefaultValues | ( |  | ) |

private slot

References ApplicationWindow::antialiasing2DPlots, boxAntialiasing, boxBackgroundColor, boxBackgroundTransparency, boxBorderColor, boxBorderWidth, boxMargin, ColorButton::color(), ApplicationWindow::d_graph_background_color, ApplicationWindow::d_graph_background_opacity, ApplicationWindow::d_graph_border_color, ApplicationWindow::d_graph_border_width, ApplicationWindow::defaultPlotMargin, and ApplicationWindow::saveSettings().

Referenced by initLayerPage(), and insertColumnsList().

## setLegendsFont

void PlotDialog::setLegendsFont | ( |  | ) |

private slot

References legendFont.

Referenced by initFontsPage(), and insertColumnsList().

## setMultiLayer()

void PlotDialog::setMultiLayer | ( | MultiLayer * | ml | ) |

References MultiLayer::activeLayer(), MdiSubWindow::applicationWindow(), boxLinkXAxes, boxPrintCrops, boxResizeLayers, boxScaleLayers, ApplicationWindow::d_layer_geometry_unit, d_ml, displayPlotCoordinates(), MultiLayer::hasLinkedXLayerAxes(), MultiLayer::layersList(), listBox, MdiSubWindow::name(), MultiLayer::printCropmarksEnabled(), MultiLayer::scaleLayersOnPrint(), MultiLayer::scaleLayersOnResize(), and LayerItem::setActive().

Referenced by insertColumnsList(), removeSelectedObject(), and ApplicationWindow::showPlotDialog().

## setPlotType

int PlotDialog::setPlotType | ( | CurveTreeItem * | item | ) |

private slot

References Graph::Box, boxPlotType, Graph::ColorMap, Graph::Contour, Graph::ErrorBars, Graph::GrayScale, Graph::Histogram, Graph::HorizontalBars, Graph::Line, Graph::LineSymbols, Graph::Pie, CurveTreeItem::plotItem(), CurveTreeItem::plotItemStyle(), Graph::Scatter, Graph::VectXYAM, Graph::VectXYXY, and Graph::VerticalBars.

Referenced by insertColumnsList(), and updateTabWindow().

## setTitlesFont

void PlotDialog::setTitlesFont | ( |  | ) |

private slot

References titleFont.

Referenced by initFontsPage(), and insertColumnsList().

## setWhiskersRange

void PlotDialog::setWhiskersRange | ( | int | index | ) |

private slot

References boxWhiskersCoef, BoxCurve::SD, BoxCurve::SE, BoxCurve::UserDef, whiskerCnt, whiskerCntLabel, and whiskerCoeffLabel.

Referenced by initBoxPage(), insertColumnsList(), and setActiveCurve().

## shiftCurveBy

void PlotDialog::shiftCurveBy | ( | int | offset = `1` | ) |

private slot

References btnDown, btnUp, Graph::changeCurveIndex(), d_ml, MultiLayer::layerIndex(), listBox, CurveTreeItem::PlotCurveTreeItem, and setActiveCurve().

Referenced by contextMenuEvent(), insertColumnsList(), PlotDialog(), and raiseCurve().

## showAll

void PlotDialog::showAll | ( | bool | all | ) |

slot

References btnMore, curvePlotTypeBox, listBox, and CurveTreeItem::PlotCurveTreeItem.

Referenced by insertColumnsList(), PlotDialog(), and ApplicationWindow::showPlotDialog().

## showAllLabelControls()

void PlotDialog::showAllLabelControls | ( | bool | show = `true`,
|  | int | curveType = `0`
| ) |  |

private

References Graph::Box, boxLabelsAlign, boxLabelsColumn, Graph::Histogram, justifyLabelsLbl, labelsColumnLbl, and labelsGroupBox.

Referenced by insertColumnsList(), and setActiveCurve().

## showAreaColor

void PlotDialog::showAreaColor | ( | bool | show | ) |

private slot

References boxAreaColor, and boxPattern.

Referenced by initLinePage(), and insertColumnsList().

## showBoxStatistics

void PlotDialog::showBoxStatistics | ( |  | ) |

private slot

References Folder::appendLogInfo(), Graph::Box, ApplicationWindow::current_folder, listBox, CurveTreeItem::PlotCurveTreeItem, ApplicationWindow::showResults(), BoxCurve::statistics(), and PlotCurve::type().

Referenced by initBoxPage(), and insertColumnsList().

## showColorMapEditor

void PlotDialog::showColorMapEditor | ( | bool | show | ) |

private slot

References colorMapEditor, defaultScaleBox, and grayScaleBox.

Referenced by initSpectrogramPage(), and insertColumnsList().

## showCustomPenColumn

void PlotDialog::showCustomPenColumn | ( | bool | on | ) |

private slot

References contourLinesEditor, defaultPenBox, and ContourLinesEditor::showPenColumn().

Referenced by initContourLinesPage(), and insertColumnsList().

## showDefaultContourLinesBox

void PlotDialog::showDefaultContourLinesBox | ( | bool | show | ) |

private slot

References autoContourBox, and defaultPenBox.

Referenced by initContourLinesPage(), and insertColumnsList().

## showStatistics

void PlotDialog::showStatistics | ( |  | ) |

private slot

References Folder::appendLogInfo(), ApplicationWindow::current_folder, ApplicationWindow::generateUniqueName(), listBox, QwtHistogram::maximum(), QwtHistogram::mean(), QwtHistogram::minimum(), ApplicationWindow::newTable(), CurveTreeItem::PlotCurveTreeItem, Table::setCell(), Table::setHeader(), ApplicationWindow::showResults(), and QwtHistogram::standardDeviation().

Referenced by initHistogramPage(), and insertColumnsList().

## showWorksheet

void PlotDialog::showWorksheet | ( |  | ) |

private slot

References CurveTreeItem::graph(), listBox, CurveTreeItem::PlotCurveTreeItem, CurveTreeItem::plotItemIndex(), and ApplicationWindow::showCurveWorksheet().

Referenced by insertColumnsList(), and PlotDialog().

## updateBackgroundTransparency

void PlotDialog::updateBackgroundTransparency | ( | int | alpha | ) |

private slot

References applyLayerFormat(), and boxBackgroundColor.

Referenced by initLayerPage(), and insertColumnsList().

## updateCanvasTransparency

void PlotDialog::updateCanvasTransparency | ( | int | alpha | ) |

private slot

References applyCanvasFormat(), and boxCanvasColor.

Referenced by initCanvasPage(), and insertColumnsList().

## updateContourLevelsDisplay()

void PlotDialog::updateContourLevelsDisplay | ( | Spectrogram * | sp | ) |

private

References contourLinesDistanceBox, firstContourLineBox, levelsBox, and DoubleSpinBox::setValue().

Referenced by acceptParams(), insertColumnsList(), and setActiveCurve().

## updateEndPointColumns

void PlotDialog::updateEndPointColumns | ( | const QString & | text | ) |

private slot

References columnNames, xEndBox, and yEndBox.

Referenced by insertColumnsList(), and setActiveCurve().

## updateTabWindow

void PlotDialog::updateTabWindow | ( | QTreeWidgetItem * | currentItem,
|  | QTreeWidgetItem * | previousItem
| ) |  |

private slot

References boxPlotType, btnEditCurve, btnEditCurveRange, btnWorksheet, canvasPage, clearTabWidget(), curvePlotTypeBox, EnrichmentDialog::Ellipse, enrichmentDialog, fontsPage, EnrichmentDialog::Frame, FrameWidgetTreeItem::frameWidget(), FrameWidgetTreeItem::FrameWidgetItem, FrameWidgetTreeItem::graph(), EnrichmentDialog::Image, insertTabs(), layerDisplayPage, layerGeometryPage, layerPage, LayerItem::LayerTreeItem, miscPage, CurveTreeItem::PlotCurveTreeItem, plotGeometryPage, CurveTreeItem::plotItemStyle(), CurveTreeItem::plotItemType(), printPage, privateTabWidget, FrameWidgetTreeItem::setActive(), setActiveCurve(), setActiveLayer(), setPlotType(), EnrichmentDialog::setWidget(), speedPage, EnrichmentDialog::Tex, and EnrichmentDialog::Text.

Referenced by insertColumnsList(), and PlotDialog().

## updateTreeWidgetItem

void PlotDialog::updateTreeWidgetItem | ( | QTreeWidgetItem * | item | ) |

private slot

Referenced by insertColumnsList(), and PlotDialog().

## updateVisibility [1/2]

void PlotDialog::updateVisibility | ( |  | ) |

private slot

References listBox.

Referenced by contextMenuEvent(), insertColumnsList(), and PlotDialog().

## updateVisibility [2/2]

void PlotDialog::updateVisibility | ( | QTreeWidgetItem * | item,
|  | int | column
| ) |  |

private slot

References FrameWidgetTreeItem::FrameWidgetItem, and CurveTreeItem::PlotCurveTreeItem.

## Member Data Documentation

## aspect_ratio

double PlotDialog::aspect_ratio

private

Referenced by adjustLayerHeight(), adjustLayerWidth(), displayCoordinates(), and setActiveLayer().

## autoContourBox

QRadioButton * PlotDialog::autoContourBox

private

Referenced by initContourLinesPage(), setActiveCurve(), and showDefaultContourLinesBox().

## automaticBox

QCheckBox* PlotDialog::automaticBox

private

Referenced by acceptParams(), initHistogramPage(), and setActiveCurve().

## axesFont

QFont PlotDialog::axesFont

private

Referenced by acceptParams(), initFonts(), and setAxesLabelsFont().

## axesPage

QWidget * PlotDialog::axesPage

private

Referenced by acceptParams(), clearTabWidget(), initAxesPage(), and insertTabs().

## axisScaleBox

QGroupBox * PlotDialog::axisScaleBox

private

Referenced by acceptParams(), initSpectrogramPage(), and setActiveCurve().

## backgroundApplyToBox

QComboBox* PlotDialog::backgroundApplyToBox

private

Referenced by applyLayerFormat(), and initLayerPage().

## barsOffsetLabel

QLabel* PlotDialog::barsOffsetLabel

private

Referenced by initSpacingPage(), and setActiveCurve().

## binSizeBox

DoubleSpinBox* PlotDialog::binSizeBox

private

Referenced by acceptParams(), initHistogramPage(), and setAutomaticBinning().

## bkgOpacitySlider

QSlider * PlotDialog::bkgOpacitySlider

private

Referenced by initLayerPage(), and setActiveLayer().

## box1Style

SymbolBox * PlotDialog::box1Style

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## box99Style

SymbolBox * PlotDialog::box99Style

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxAntialiasing

QCheckBox* PlotDialog::boxAntialiasing

private

Referenced by applyFormatToLayer(), initLayerPage(), setActiveLayer(), and setLayerDefaultValues().

## boxApplyColorTo

QCheckBox* PlotDialog::boxApplyColorTo

private

Referenced by applyLineFormatToLayer(), enableBoxApplyColor(), and initLinePage().

## boxAreaColor

ColorButton * PlotDialog::boxAreaColor

private

Referenced by acceptParams(), initLinePage(), setActiveCurve(), and showAreaColor().

## boxAutoscaling

QCheckBox * PlotDialog::boxAutoscaling

private

Referenced by applyFormatToLayer(), initLayerPage(), and setActiveLayer().

## boxBackgroundColor

ColorButton * PlotDialog::boxBackgroundColor

private

Referenced by applyFormatToLayer(), initLayerPage(), setActiveLayer(), setLayerDefaultValues(), and updateBackgroundTransparency().

## boxBackgroundTransparency

QSpinBox* PlotDialog::boxBackgroundTransparency

private

Referenced by applyFormatToLayer(), initLayerPage(), setActiveLayer(), and setLayerDefaultValues().

## boxBorderColor

ColorButton* PlotDialog::boxBorderColor

private

Referenced by applyFormatToLayer(), initLayerPage(), setActiveLayer(), and setLayerDefaultValues().

## boxBorderWidth

QSpinBox * PlotDialog::boxBorderWidth

private

Referenced by applyFormatToLayer(), initLayerPage(), setActiveLayer(), and setLayerDefaultValues().

## boxBottomAxis

QCheckBox * PlotDialog::boxBottomAxis

private

Referenced by acceptParams(), initLayerDisplayPage(), and setActiveLayer().

## boxBoxLabels

QCheckBox * PlotDialog::boxBoxLabels

private

Referenced by applyBoxWhiskersFormatToCurve(), enableLabelsPage(), initBoxPage(), and setActiveCurve().

## boxCanvasColor

ColorButton * PlotDialog::boxCanvasColor

private

Referenced by applyCanvasFormatToLayer(), initCanvasPage(), setActiveLayer(), setCanvasDefaultValues(), and updateCanvasTransparency().

## boxCanvasTransparency

QSpinBox * PlotDialog::boxCanvasTransparency

private

Referenced by applyCanvasFormatToLayer(), initCanvasPage(), setActiveLayer(), and setCanvasDefaultValues().

## boxCnt

QDoubleSpinBox * PlotDialog::boxCnt

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), setActiveCurve(), setBoxRangeType(), and setBoxType().

## boxCntLabel

QLabel * PlotDialog::boxCntLabel

private

Referenced by initBoxPage(), setBoxRangeType(), and setBoxType().

## boxCoef

QSpinBox* PlotDialog::boxCoef

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), setActiveCurve(), setBoxRangeType(), and setBoxType().

## boxCoeffLabel

QLabel * PlotDialog::boxCoeffLabel

private

Referenced by initBoxPage(), setBoxRangeType(), and setBoxType().

## boxConnect

QComboBox* PlotDialog::boxConnect

private

Referenced by acceptParams(), applyLineFormatToLayer(), changePlotType(), initLinePage(), insertTabs(), and setActiveCurve().

## boxContourStyle

PenStyleBox* PlotDialog::boxContourStyle

private

Referenced by acceptParams(), initContourLinesPage(), and setActiveCurve().

## boxCurveOpacity

QSpinBox* PlotDialog::boxCurveOpacity

private

Referenced by acceptParams(), initLinePage(), and setActiveCurve().

## boxDouglasPeukerTolerance

DoubleSpinBox* PlotDialog::boxDouglasPeukerTolerance

private

Referenced by acceptParams(), initLayerSpeedPage(), and setActiveLayer().

## boxEdgeColor

ColorButton * PlotDialog::boxEdgeColor

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxEdgeWidth

DoubleSpinBox * PlotDialog::boxEdgeWidth

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxFillColor

ColorButton * PlotDialog::boxFillColor

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), fillSymbols(), initSymbolsPage(), and setActiveCurve().

## boxFillSymbol

QCheckBox * PlotDialog::boxFillSymbol

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), fillSymbols(), initSymbolsPage(), and setActiveCurve().

## boxFillSymbols

QCheckBox* PlotDialog::boxFillSymbols

private

Referenced by applyPercentileFormatToCurve(), fillBoxSymbols(), initPercentilePage(), and setActiveCurve().

## boxFirstColor

ColorBox* PlotDialog::boxFirstColor

private

Referenced by acceptParams(), initPiePage(), and setActiveCurve().

## boxFrameColor

ColorButton* PlotDialog::boxFrameColor

private

Referenced by applyCanvasFormatToLayer(), initCanvasPage(), setActiveLayer(), and setCanvasDefaultValues().

## boxFramed

QGroupBox* PlotDialog::boxFramed

private

Referenced by applyCanvasFormatToLayer(), initCanvasPage(), setActiveLayer(), and setCanvasDefaultValues().

## boxFrameWidth

QSpinBox* PlotDialog::boxFrameWidth

private

Referenced by applyCanvasFormatToLayer(), initCanvasPage(), setActiveLayer(), and setCanvasDefaultValues().

## boxGridPosition

QCheckBox * PlotDialog::boxGridPosition

private

Referenced by acceptParams(), initLayerDisplayPage(), and setActiveLayer().

## boxLabelsAlign

QComboBox* PlotDialog::boxLabelsAlign

private

Referenced by initLabelsPage(), labelsAlignment(), setActiveCurve(), and showAllLabelControls().

## boxLabelsAngle

DoubleSpinBox* PlotDialog::boxLabelsAngle

private

Referenced by applyLabelsFormatToItem(), initLabelsPage(), and setActiveCurve().

## boxLabelsColor

ColorButton* PlotDialog::boxLabelsColor

private

Referenced by applyLabelsFormatToItem(), initLabelsPage(), and setActiveCurve().

## boxLabelsColumn

QComboBox * PlotDialog::boxLabelsColumn

private

Referenced by acceptParams(), applyLabelsFormatToItem(), initLabelsPage(), setActiveCurve(), and showAllLabelControls().

## boxLabelsFormatApplyToBox

QComboBox * PlotDialog::boxLabelsFormatApplyToBox

private

Referenced by applyLabelsFormat(), initLabelsPage(), and setLabelsFont().

## boxLabelsWhiteOut

QCheckBox* PlotDialog::boxLabelsWhiteOut

private

Referenced by applyLabelsFormatToItem(), initLabelsPage(), and setActiveCurve().

## boxLabelsXOffset

QSpinBox* PlotDialog::boxLabelsXOffset

private

Referenced by applyLabelsFormatToItem(), initLabelsPage(), and setActiveCurve().

## boxLabelsYOffset

QSpinBox * PlotDialog::boxLabelsYOffset

private

Referenced by applyLabelsFormatToItem(), initLabelsPage(), and setActiveCurve().

## boxLayerHeight

DoubleSpinBox * PlotDialog::boxLayerHeight

private

Referenced by acceptParams(), adjustLayerHeight(), applyCanvasSize(), displayCoordinates(), initLayerGeometryPage(), and setActiveLayer().

## boxLayerWidth

DoubleSpinBox * PlotDialog::boxLayerWidth

private

Referenced by acceptParams(), adjustLayerWidth(), applyCanvasSize(), displayCoordinates(), initLayerGeometryPage(), and setActiveLayer().

## boxLeftAxis

QCheckBox* PlotDialog::boxLeftAxis

private

Referenced by acceptParams(), initLayerDisplayPage(), and setActiveLayer().

## boxLineColor

ColorButton* PlotDialog::boxLineColor

private

Referenced by acceptParams(), applyLineFormatToLayer(), initLinePage(), and setActiveCurve().

## boxLineStyle

PenStyleBox* PlotDialog::boxLineStyle

private

Referenced by acceptParams(), applyLineFormatToLayer(), initLinePage(), and setActiveCurve().

## boxLineTransparency

QSpinBox * PlotDialog::boxLineTransparency

private

Referenced by acceptParams(), applyLineFormatToLayer(), initLinePage(), and setActiveCurve().

## boxLineWidth

DoubleSpinBox* PlotDialog::boxLineWidth

private

Referenced by acceptParams(), applyLineFormatToLayer(), initLinePage(), and setActiveCurve().

## boxLinkAllXAxes

QComboBox* PlotDialog::boxLinkAllXAxes

private

Referenced by acceptParams(), and initMiscPage().

## boxLinkXAxes

QCheckBox* PlotDialog::boxLinkXAxes

private

Referenced by acceptParams(), initMiscPage(), and setMultiLayer().

## boxMargin

QSpinBox * PlotDialog::boxMargin

private

Referenced by applyFormatToLayer(), initLayerPage(), setActiveLayer(), and setLayerDefaultValues().

## boxMaxPoints

QSpinBox* PlotDialog::boxMaxPoints

private

Referenced by acceptParams(), initLayerSpeedPage(), and setActiveLayer().

## boxMaxStyle

SymbolBox* PlotDialog::boxMaxStyle

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxMeanStyle

SymbolBox * PlotDialog::boxMeanStyle

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxMinStyle

SymbolBox * PlotDialog::boxMinStyle

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxMissingData

QCheckBox * PlotDialog::boxMissingData

private

Referenced by acceptParams(), initLayerDisplayPage(), and setActiveLayer().

## boxPage

QWidget * PlotDialog::boxPage

private

Referenced by acceptParams(), applyBoxWhiskersFormat(), clearTabWidget(), initBoxPage(), and insertTabs().

## boxPattern

PatternBox* PlotDialog::boxPattern

private

Referenced by acceptParams(), initLinePage(), setActiveCurve(), and showAreaColor().

## boxPenWidth

DoubleSpinBox * PlotDialog::boxPenWidth

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), initSymbolsPage(), and setActiveCurve().

## boxPercentileTransparency

QSpinBox * PlotDialog::boxPercentileTransparency

private

Referenced by applyPercentileFormatToCurve(), fillBoxSymbols(), initPercentilePage(), and setActiveCurve().

## boxPercFillColor

ColorButton* PlotDialog::boxPercFillColor

private

Referenced by applyPercentileFormatToCurve(), fillBoxSymbols(), initPercentilePage(), and setActiveCurve().

## boxPercSize

QSpinBox * PlotDialog::boxPercSize

private

Referenced by applyPercentileFormatToCurve(), initPercentilePage(), and setActiveCurve().

## boxPieCategories

QCheckBox * PlotDialog::boxPieCategories

private

Referenced by acceptParams(), initPieLabelsPage(), and setActiveCurve().

## boxPieConterClockwise

QCheckBox* PlotDialog::boxPieConterClockwise

private

Referenced by acceptParams(), initPieGeometryPage(), and setActiveCurve().

## boxPieEdgeDist

DoubleSpinBox * PlotDialog::boxPieEdgeDist

private

Referenced by acceptParams(), initPieLabelsPage(), and setActiveCurve().

## boxPieLineColor

ColorButton* PlotDialog::boxPieLineColor

private

Referenced by acceptParams(), initPiePage(), and setActiveCurve().

## boxPieLineStyle

PenStyleBox* PlotDialog::boxPieLineStyle

private

Referenced by acceptParams(), initPiePage(), and setActiveCurve().

## boxPieLineWidth

DoubleSpinBox* PlotDialog::boxPieLineWidth

private

Referenced by acceptParams(), initPiePage(), and setActiveCurve().

## boxPieOffset

QSpinBox* PlotDialog::boxPieOffset

private

Referenced by acceptParams(), initPieGeometryPage(), and setActiveCurve().

## boxPiePattern

PatternBox* PlotDialog::boxPiePattern

private

Referenced by acceptParams(), initPiePage(), and setActiveCurve().

## boxPiePercentages

QCheckBox * PlotDialog::boxPiePercentages

private

Referenced by acceptParams(), initPieLabelsPage(), and setActiveCurve().

## boxPieStartAzimuth

DoubleSpinBox* PlotDialog::boxPieStartAzimuth

private

Referenced by acceptParams(), initPieGeometryPage(), and setActiveCurve().

## boxPieThickness

DoubleSpinBox * PlotDialog::boxPieThickness

private

Referenced by acceptParams(), initPieGeometryPage(), and setActiveCurve().

## boxPieValues

QCheckBox * PlotDialog::boxPieValues

private

Referenced by acceptParams(), initPieLabelsPage(), and setActiveCurve().

## boxPieViewAngle

DoubleSpinBox * PlotDialog::boxPieViewAngle

private

Referenced by acceptParams(), initPieGeometryPage(), and setActiveCurve().

## boxPieWedge

QGroupBox * PlotDialog::boxPieWedge

private

Referenced by acceptParams(), initPieLabelsPage(), and setActiveCurve().

## boxPlotHeight

DoubleSpinBox * PlotDialog::boxPlotHeight

private

Referenced by acceptParams(), adjustPlotHeight(), displayPlotCoordinates(), and initPlotGeometryPage().

## boxPlotType

QComboBox* PlotDialog::boxPlotType

private

Referenced by changePlotType(), PlotDialog(), setPlotType(), and updateTabWindow().

## boxPlotWidth

DoubleSpinBox * PlotDialog::boxPlotWidth

private

Referenced by acceptParams(), adjustPlotWidth(), displayPlotCoordinates(), and initPlotGeometryPage().

## boxPlotX

DoubleSpinBox* PlotDialog::boxPlotX

private

Referenced by acceptParams(), displayPlotCoordinates(), and initPlotGeometryPage().

## boxPlotY

DoubleSpinBox * PlotDialog::boxPlotY

private

Referenced by acceptParams(), displayPlotCoordinates(), and initPlotGeometryPage().

## boxPrintCrops

QCheckBox * PlotDialog::boxPrintCrops

private

Referenced by acceptParams(), initPrintPage(), and setMultiLayer().

## boxRadius

QSpinBox* PlotDialog::boxRadius

private

Referenced by acceptParams(), initPieGeometryPage(), and setActiveCurve().

## boxRange

QComboBox * PlotDialog::boxRange

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), setActiveCurve(), and setBoxType().

## boxRangeLabel

QLabel* PlotDialog::boxRangeLabel

private

Referenced by initBoxPage(), and setBoxType().

## boxResizeLayers

QCheckBox* PlotDialog::boxResizeLayers

private

Referenced by acceptParams(), initPlotGeometryPage(), and setMultiLayer().

## boxRightAxis

QCheckBox * PlotDialog::boxRightAxis

private

Referenced by acceptParams(), initLayerDisplayPage(), and setActiveLayer().

## boxScaleLayers

QCheckBox * PlotDialog::boxScaleLayers

private

Referenced by acceptParams(), initPrintPage(), and setMultiLayer().

## boxSkipErrorBars

QSpinBox * PlotDialog::boxSkipErrorBars

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), and setActiveCurve().

## boxSkipSymbols

QSpinBox* PlotDialog::boxSkipSymbols

private

Referenced by applySymbolsFormatToCurve(), initSymbolsPage(), and setActiveCurve().

## boxSpectroMatrix

QComboBox* PlotDialog::boxSpectroMatrix

private

Referenced by acceptParams(), initSpectrogramValuesPage(), and setActiveCurve().

## boxSymbolColor

ColorButton* PlotDialog::boxSymbolColor

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), initSymbolsPage(), and setActiveCurve().

## boxSymbolSize

QSpinBox* PlotDialog::boxSymbolSize

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), initSymbolsPage(), and setActiveCurve().

## boxSymbolStyle

SymbolBox* PlotDialog::boxSymbolStyle

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), initSymbolsPage(), and setActiveCurve().

## boxSymbolTransparency

QSpinBox * PlotDialog::boxSymbolTransparency

private

Referenced by applySymbolsFormatToCurve(), changePlotType(), fillSymbols(), initSymbolsPage(), and setActiveCurve().

## boxTopAxis

QCheckBox * PlotDialog::boxTopAxis

private

Referenced by acceptParams(), initLayerDisplayPage(), and setActiveLayer().

## boxType

QComboBox * PlotDialog::boxType

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), and setActiveCurve().

## boxUseMatrixFormula

QCheckBox* PlotDialog::boxUseMatrixFormula

private

Referenced by acceptParams(), initSpectrogramValuesPage(), and setActiveCurve().

## boxWhiskerLabels

QCheckBox* PlotDialog::boxWhiskerLabels

private

Referenced by applyBoxWhiskersFormatToCurve(), enableLabelsPage(), initBoxPage(), and setActiveCurve().

## boxWhiskersCoef

QSpinBox * PlotDialog::boxWhiskersCoef

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), setActiveCurve(), and setWhiskersRange().

## boxWhiskersFormatApplyToBox

QComboBox* PlotDialog::boxWhiskersFormatApplyToBox

private

Referenced by applyBoxWhiskersFormat(), and initBoxPage().

## boxWhiskersRange

QComboBox * PlotDialog::boxWhiskersRange

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), and setActiveCurve().

## boxWhiskersType

QComboBox * PlotDialog::boxWhiskersType

private

## boxWidth

QSpinBox * PlotDialog::boxWidth

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), and setActiveCurve().

## boxX

DoubleSpinBox* PlotDialog::boxX

private

Referenced by acceptParams(), applyCanvasSize(), displayCoordinates(), and initLayerGeometryPage().

## boxXAxis

QComboBox * PlotDialog::boxXAxis

private

Referenced by acceptParams(), initAxesPage(), and setActiveCurve().

## boxY

DoubleSpinBox * PlotDialog::boxY

private

Referenced by acceptParams(), applyCanvasSize(), displayCoordinates(), and initLayerGeometryPage().

## boxYAxis

QComboBox * PlotDialog::boxYAxis

private

Referenced by acceptParams(), initAxesPage(), and setActiveCurve().

## btnAxesLabels

QPushButton * PlotDialog::btnAxesLabels

private

Referenced by initFontsPage().

## btnAxesNumbers

QPushButton * PlotDialog::btnAxesNumbers

private

Referenced by initFontsPage().

## btnDown

QPushButton * PlotDialog::btnDown

private

Referenced by PlotDialog(), setActiveCurve(), and shiftCurveBy().

## btnEditCurve

QPushButton * PlotDialog::btnEditCurve

private

Referenced by PlotDialog(), setActiveCurve(), setActiveLayer(), and updateTabWindow().

## btnEditCurveRange

QPushButton * PlotDialog::btnEditCurveRange

private

Referenced by PlotDialog(), setActiveCurve(), setActiveLayer(), and updateTabWindow().

## btnLabelsFont

QPushButton* PlotDialog::btnLabelsFont

private

Referenced by initLabelsPage().

## btnLegend

QPushButton * PlotDialog::btnLegend

private

Referenced by initFontsPage().

## btnMore

QPushButton * PlotDialog::btnMore

private

Referenced by closeEvent(), PlotDialog(), and showAll().

## btnSetEquidistantLevels

QPushButton* PlotDialog::btnSetEquidistantLevels

private

Referenced by initContourLinesPage().

## btnTitle

QPushButton* PlotDialog::btnTitle

private

Referenced by initFontsPage().

## btnUp

QPushButton* PlotDialog::btnUp

private

Referenced by PlotDialog(), setActiveCurve(), and shiftCurveBy().

## btnWorksheet

QPushButton * PlotDialog::btnWorksheet

private

Referenced by PlotDialog(), setActiveCurve(), setActiveLayer(), and updateTabWindow().

## buttonApply

QPushButton* PlotDialog::buttonApply

private

Referenced by PlotDialog().

## buttonBoxStatistics

QPushButton * PlotDialog::buttonBoxStatistics

private

Referenced by initBoxPage().

## buttonCancel

QPushButton* PlotDialog::buttonCancel

private

Referenced by PlotDialog().

## buttonOk

QPushButton* PlotDialog::buttonOk

private

Referenced by PlotDialog().

## buttonStatistics

QPushButton* PlotDialog::buttonStatistics

private

Referenced by initHistogramPage().

## canvasColorBox

QGroupBox* PlotDialog::canvasColorBox

private

Referenced by initCanvasPage().

## canvasDefaultBtn

QPushButton* PlotDialog::canvasDefaultBtn

private

Referenced by initCanvasPage().

## canvasImageBox

QGroupBox * PlotDialog::canvasImageBox

private

Referenced by initCanvasPage().

## canvasOpacitySlider

QSlider* PlotDialog::canvasOpacitySlider

private

Referenced by initCanvasPage(), and setActiveLayer().

## canvasPage

QWidget * PlotDialog::canvasPage

private

Referenced by acceptParams(), applyCanvasFormat(), clearTabWidget(), initCanvasPage(), removeSelectedObject(), resizeCanvasToFitImage(), and updateTabWindow().

## capBox

QComboBox* PlotDialog::capBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## colorBox

ColorButton* PlotDialog::colorBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## colorBtn

QRadioButton* PlotDialog::colorBtn

private

Referenced by applyCanvasFormatToLayer(), and initCanvasPage().

## colorMapEditor

ColorMapEditor* PlotDialog::colorMapEditor

private

Referenced by acceptParams(), initSpectrogramPage(), setActiveCurve(), and showColorMapEditor().

## colorScaleBox

QComboBox * PlotDialog::colorScaleBox

private

Referenced by acceptParams(), initSpectrogramPage(), and setActiveCurve().

## colorScaleWidthBox

QSpinBox * PlotDialog::colorScaleWidthBox

private

Referenced by acceptParams(), initSpectrogramPage(), and setActiveCurve().

## columnNames

QStringList PlotDialog::columnNames

private

Referenced by insertColumnsList(), and updateEndPointColumns().

## completer

QCompleter* PlotDialog::completer

private

Referenced by initCanvasPage(), initSymbolsPage(), and PlotDialog().

## contourLinesDistanceBox

DoubleSpinBox * PlotDialog::contourLinesDistanceBox

private

Referenced by initContourLinesPage(), setEquidistantLevels(), and updateContourLevelsDisplay().

## contourLinesEditor

ContourLinesEditor* PlotDialog::contourLinesEditor

private

Referenced by acceptParams(), initContourLinesPage(), setActiveCurve(), setEquidistantLevels(), and showCustomPenColumn().

## contourLinesPage

QWidget * PlotDialog::contourLinesPage

private

Referenced by acceptParams(), clearTabWidget(), initContourLinesPage(), and insertTabs().

## contourWidthBox

DoubleSpinBox* PlotDialog::contourWidthBox

private

Referenced by acceptParams(), initContourLinesPage(), and setActiveCurve().

## curveOpacitySlider

QSlider* PlotDialog::curveOpacitySlider

private

Referenced by initLinePage(), and setActiveCurve().

## curvePlotTypeBox

QWidget* PlotDialog::curvePlotTypeBox

private

Referenced by PlotDialog(), setActiveLayer(), showAll(), and updateTabWindow().

## customPenBtn

QRadioButton* PlotDialog::customPenBtn

private

Referenced by acceptParams(), initContourLinesPage(), and setActiveCurve().

## customScaleBox

QRadioButton * PlotDialog::customScaleBox

private

Referenced by initSpectrogramPage(), and setActiveCurve().

## d_ml

MultiLayer* PlotDialog::d_ml

private

Referenced by acceptParams(), applyCanvasFormat(), applyCanvasSize(), applyGap(), applyLayerFormat(), displayPlotCoordinates(), removeSelectedObject(), resizeCanvasToFitImage(), setMultiLayer(), and shiftCurveBy().

## defaultContourBox

QRadioButton * PlotDialog::defaultContourBox

private

Referenced by acceptParams(), initContourLinesPage(), and setActiveCurve().

## defaultPenBox

QGroupBox* PlotDialog::defaultPenBox

private

Referenced by initContourLinesPage(), showCustomPenColumn(), and showDefaultContourLinesBox().

## defaultScaleBox

QRadioButton* PlotDialog::defaultScaleBox

private

Referenced by acceptParams(), initSpectrogramPage(), setActiveCurve(), and showColorMapEditor().

## enrichmentDialog

EnrichmentDialog* PlotDialog::enrichmentDialog

private

Referenced by acceptParams(), clearTabWidget(), PlotDialog(), removeSelectedObject(), and updateTabWindow().

## errorBarsFormatApplyToBox

QComboBox * PlotDialog::errorBarsFormatApplyToBox

private

Referenced by applyErrorBarFormat(), and initErrorsPage().

## errorsPage

QWidget* PlotDialog::errorsPage

private

Referenced by acceptParams(), applyErrorBarFormat(), clearTabWidget(), initErrorsPage(), and insertTabs().

## filledHeadBox

QCheckBox* PlotDialog::filledHeadBox

private

Referenced by acceptParams(), initVectPage(), and setActiveCurve().

## fillGroupBox

QGroupBox* PlotDialog::fillGroupBox

private

Referenced by acceptParams(), initLinePage(), and setActiveCurve().

## firstContourLineBox

DoubleSpinBox* PlotDialog::firstContourLineBox

private

Referenced by initContourLinesPage(), setEquidistantLevels(), and updateContourLevelsDisplay().

## fontsPage

QWidget * PlotDialog::fontsPage

private

Referenced by acceptParams(), clearTabWidget(), initFontsPage(), and updateTabWindow().

## functionEdit

FunctionDialog* PlotDialog::functionEdit

private

Referenced by acceptParams(), initFunctionPage(), insertTabs(), and setActiveCurve().

## functionPage

QWidget * PlotDialog::functionPage

private

Referenced by acceptParams(), clearTabWidget(), initFunctionPage(), and insertTabs().

## gapApplyToBox

QComboBox * PlotDialog::gapApplyToBox

private

Referenced by acceptParams(), applyGap(), initSpacingPage(), and setActiveCurve().

## gapBox

QSpinBox* PlotDialog::gapBox

private

Referenced by acceptParams(), applyGapToLayer(), initSpacingPage(), and setActiveCurve().

## grayScaleBox

QRadioButton * PlotDialog::grayScaleBox

private

Referenced by acceptParams(), initSpectrogramPage(), setActiveCurve(), and showColorMapEditor().

## GroupBoxH

QGroupBox* PlotDialog::GroupBoxH

private

Referenced by initHistogramPage(), and setAutomaticBinning().

## GroupBoxVectEnd

QGroupBox* PlotDialog::GroupBoxVectEnd

private

Referenced by customVectorsPage(), and initVectPage().

## headAngleBox

QSpinBox* PlotDialog::headAngleBox

private

Referenced by acceptParams(), initVectPage(), and setActiveCurve().

## headLengthBox

QSpinBox * PlotDialog::headLengthBox

private

Referenced by acceptParams(), initVectPage(), and setActiveCurve().

## histogramBeginBox

DoubleSpinBox * PlotDialog::histogramBeginBox

private

Referenced by acceptParams(), initHistogramPage(), and setAutomaticBinning().

## histogramEndBox

DoubleSpinBox * PlotDialog::histogramEndBox

private

Referenced by acceptParams(), initHistogramPage(), and setAutomaticBinning().

## histogramPage

QWidget* PlotDialog::histogramPage

private

Referenced by acceptParams(), clearTabWidget(), initHistogramPage(), and insertTabs().

## imageApplyToBox

QComboBox* PlotDialog::imageApplyToBox

private

Referenced by applyCanvasFormat(), initCanvasPage(), and resizeCanvasToFitImage().

## imageBtn

QRadioButton * PlotDialog::imageBtn

private

Referenced by applyCanvasFormatToLayer(), initCanvasPage(), and setActiveLayer().

## imageGroupBox

QGroupBox * PlotDialog::imageGroupBox

private

Referenced by acceptParams(), initSpectrogramPage(), and setActiveCurve().

## imagePathBox

QLineEdit* PlotDialog::imagePathBox

private

Referenced by applyCanvasFormatToLayer(), chooseBackgroundImageFile(), initCanvasPage(), and setActiveLayer().

## imageSymbolBtn

QRadioButton * PlotDialog::imageSymbolBtn

private

Referenced by applySymbolsFormatToCurve(), initSymbolsPage(), and setActiveCurve().

## imageSymBolFormatBox

QGroupBox * PlotDialog::imageSymBolFormatBox

private

Referenced by initSymbolsPage().

## imageSymbolPathBox

QLineEdit* PlotDialog::imageSymbolPathBox

private

Referenced by applySymbolsFormatToCurve(), chooseSymbolImageFile(), initSymbolsPage(), and setActiveCurve().

## justifyLabelsLbl

QLabel* PlotDialog::justifyLabelsLbl

private

Referenced by initLabelsPage(), and showAllLabelControls().

## keepPlotRatioBox

QCheckBox * PlotDialog::keepPlotRatioBox

private

Referenced by adjustPlotHeight(), adjustPlotWidth(), closeEvent(), and initPlotGeometryPage().

## keepRatioBox

QCheckBox* PlotDialog::keepRatioBox

private

Referenced by adjustLayerHeight(), adjustLayerWidth(), closeEvent(), initLayerGeometryPage(), and initPlotGeometryPage().

## labelPosition

QLabel* PlotDialog::labelPosition

private

Referenced by customVectorsPage(), and initVectPage().

## labelsColumnLbl

QLabel * PlotDialog::labelsColumnLbl

private

Referenced by initLabelsPage(), and showAllLabelControls().

## labelsGroupBox

QGroupBox* PlotDialog::labelsGroupBox

private

Labels page.

Referenced by acceptParams(), applyLabelsFormatToItem(), initLabelsPage(), setActiveCurve(), and showAllLabelControls().

## labelsPage

QWidget* PlotDialog::labelsPage

private

Referenced by acceptParams(), applyLabelsFormat(), clearTabWidget(), enableLabelsPage(), initLabelsPage(), insertTabs(), and setActiveCurve().

## labelXEnd

QLabel * PlotDialog::labelXEnd

private

Referenced by customVectorsPage(), and initVectPage().

## labelYEnd

QLabel * PlotDialog::labelYEnd

private

Referenced by customVectorsPage(), and initVectPage().

## layerDefaultBtn

QPushButton* PlotDialog::layerDefaultBtn

private

Referenced by initLayerPage().

## layerDisplayPage

QWidget* PlotDialog::layerDisplayPage

private

Referenced by acceptParams(), clearTabWidget(), initLayerDisplayPage(), removeSelectedObject(), and updateTabWindow().

## layerGeometryPage

QWidget * PlotDialog::layerGeometryPage

private

Referenced by acceptParams(), applyCanvasSize(), clearTabWidget(), initLayerGeometryPage(), removeSelectedObject(), and updateTabWindow().

## layerPage

QWidget * PlotDialog::layerPage

private

Referenced by acceptParams(), applyLayerFormat(), clearTabWidget(), initLayerPage(), removeSelectedObject(), and updateTabWindow().

## layerScaleFonts

QCheckBox * PlotDialog::layerScaleFonts

private

Referenced by applyFormatToLayer(), initLayerPage(), and setActiveLayer().

## legendFont

QFont PlotDialog::legendFont

private

Referenced by acceptParams(), initFonts(), and setLegendsFont().

## levelsBox

QSpinBox* PlotDialog::levelsBox

private

Referenced by initContourLinesPage(), setEquidistantLevels(), and updateContourLevelsDisplay().

## levelsColorBox

ColorButton * PlotDialog::levelsColorBox

private

Referenced by acceptParams(), initContourLinesPage(), and setActiveCurve().

## levelsGroupBox

QGroupBox* PlotDialog::levelsGroupBox

private

Referenced by acceptParams(), initContourLinesPage(), and setActiveCurve().

## lineFormatApplyToBox

QComboBox * PlotDialog::lineFormatApplyToBox

private

Referenced by applyLineFormat(), and initLinePage().

## linePage

QWidget* PlotDialog::linePage

private

Referenced by acceptParams(), applyLineFormat(), clearTabWidget(), initLinePage(), and insertTabs().

## lineTransparencySlider

QSlider * PlotDialog::lineTransparencySlider

private

Referenced by initLinePage(), and setActiveCurve().

## listBox

QTreeWidget* PlotDialog::listBox

private

Referenced by acceptParams(), applyCanvasFormat(), applyLayerFormat(), changePlotType(), chooseBackgroundImageFile(), chooseLabelsFont(), chooseSymbolImageFile(), contextMenuEvent(), displayCoordinates(), editCurve(), editCurveRange(), insertTabs(), pickErrorBarsColor(), plotAssociationsDialogClosed(), PlotDialog(), removeSelectedObject(), resizeCanvasToFitImage(), selectCurve(), selectMultiLayerItem(), setActiveCurve(), setAutomaticBinning(), setEquidistantLevels(), setMultiLayer(), shiftCurveBy(), showAll(), showBoxStatistics(), showStatistics(), showWorksheet(), and updateVisibility().

## minusBox

QCheckBox* PlotDialog::minusBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## miscPage

QWidget* PlotDialog::miscPage

private

Referenced by acceptParams(), clearTabWidget(), initMiscPage(), and updateTabWindow().

## numbersFont

QFont PlotDialog::numbersFont

private

Referenced by acceptParams(), initFonts(), and setAxesNumbersFont().

## offsetBox

QSpinBox * PlotDialog::offsetBox

private

Referenced by acceptParams(), initSpacingPage(), and setActiveCurve().

## percentileFormatApplyToBox

QComboBox * PlotDialog::percentileFormatApplyToBox

private

Referenced by applyPercentileFormat(), and initPercentilePage().

## percentilePage

QWidget * PlotDialog::percentilePage

private

Referenced by acceptParams(), applyPercentileFormat(), clearTabWidget(), initPercentilePage(), and insertTabs().

## percentileTransparencySlider

QSlider * PlotDialog::percentileTransparencySlider

private

Referenced by fillBoxSymbols(), initPercentilePage(), and setActiveCurve().

## pieAutoLabelsBox

QGroupBox* PlotDialog::pieAutoLabelsBox

private

Referenced by acceptParams(), initPieLabelsPage(), and setActiveCurve().

## pieGeometryPage

QWidget* PlotDialog::pieGeometryPage

private

Referenced by acceptParams(), clearTabWidget(), initPieGeometryPage(), and insertTabs().

## pieLabelsPage

QWidget* PlotDialog::pieLabelsPage

private

Referenced by acceptParams(), clearTabWidget(), initPieLabelsPage(), and insertTabs().

## piePage

QWidget * PlotDialog::piePage

private

Referenced by acceptParams(), clearTabWidget(), initPiePage(), and insertTabs().

## plot_aspect_ratio

double PlotDialog::plot_aspect_ratio

private

Referenced by adjustPlotHeight(), adjustPlotWidth(), and displayPlotCoordinates().

## plotGeometryPage

QWidget * PlotDialog::plotGeometryPage

private

Referenced by acceptParams(), clearTabWidget(), initPlotGeometryPage(), and updateTabWindow().

## plotUnitBox

QComboBox* PlotDialog::plotUnitBox

private

Referenced by acceptParams(), and initPlotGeometryPage().

## plusBox

QCheckBox* PlotDialog::plusBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## printPage

QWidget * PlotDialog::printPage

private

Referenced by acceptParams(), clearTabWidget(), initPrintPage(), and updateTabWindow().

## privateTabWidget

QTabWidget* PlotDialog::privateTabWidget

private

Referenced by acceptParams(), applyBoxWhiskersFormat(), applyCanvasFormat(), applyCanvasSize(), applyErrorBarFormat(), applyGap(), applyLabelsFormat(), applyLayerFormat(), applyLineFormat(), applyPercentileFormat(), applySymbolsFormat(), clearTabWidget(), enableLabelsPage(), initAxesPage(), initBoxPage(), initCanvasPage(), initContourLinesPage(), initErrorsPage(), initFontsPage(), initHistogramPage(), initLabelsPage(), initLayerDisplayPage(), initLayerGeometryPage(), initLayerPage(), initLayerSpeedPage(), initLinePage(), initMiscPage(), initPercentilePage(), initPieGeometryPage(), initPieLabelsPage(), initPiePage(), initPlotGeometryPage(), initPrintPage(), initSpacingPage(), initSpectrogramPage(), initSpectrogramValuesPage(), initSymbolsPage(), initVectPage(), insertTabs(), PlotDialog(), removeSelectedObject(), resizeCanvasToFitImage(), setActiveCurve(), and updateTabWindow().

## sizeApplyToBox

QComboBox * PlotDialog::sizeApplyToBox

private

Referenced by applyCanvasSize(), and initLayerGeometryPage().

## spacingPage

QWidget * PlotDialog::spacingPage

private

Referenced by acceptParams(), applyGap(), clearTabWidget(), initSpacingPage(), and insertTabs().

## spectrogramPage

QWidget * PlotDialog::spectrogramPage

private

Referenced by acceptParams(), clearTabWidget(), initSpectrogramPage(), and insertTabs().

## spectroValuesPage

QWidget* PlotDialog::spectroValuesPage

private

Referenced by acceptParams(), clearTabWidget(), initSpectrogramValuesPage(), and insertTabs().

## speedModeBox

QGroupBox* PlotDialog::speedModeBox

private

Referenced by acceptParams(), initLayerSpeedPage(), and setActiveLayer().

## speedPage

QWidget * PlotDialog::speedPage

private

Referenced by acceptParams(), clearTabWidget(), initLayerSpeedPage(), removeSelectedObject(), and updateTabWindow().

## standardSymbolBtn

QRadioButton* PlotDialog::standardSymbolBtn

private

Referenced by applySymbolsFormatToCurve(), initSymbolsPage(), and setActiveCurve().

## standardSymbolFormatBox

QGroupBox* PlotDialog::standardSymbolFormatBox

private

Referenced by initSymbolsPage().

## symbolImageLabel

QLabel* PlotDialog::symbolImageLabel

private

Referenced by applySymbolsFormatToCurve(), initSymbolsPage(), and setActiveCurve().

## symbolPage

QWidget* PlotDialog::symbolPage

private

Referenced by acceptParams(), applySymbolsFormat(), clearTabWidget(), initSymbolsPage(), and insertTabs().

## symbolsFormatApplyToBox

QComboBox* PlotDialog::symbolsFormatApplyToBox

private

Referenced by applySymbolsFormat(), and initSymbolsPage().

## symbTransparencySlider

QSlider * PlotDialog::symbTransparencySlider

private

Referenced by fillSymbols(), initSymbolsPage(), and setActiveCurve().

## throughBox

QCheckBox* PlotDialog::throughBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## titleFont

QFont PlotDialog::titleFont

private

Referenced by acceptParams(), initFonts(), and setTitlesFont().

## unitBox

QComboBox* PlotDialog::unitBox

private

Referenced by acceptParams(), applyCanvasSize(), initLayerGeometryPage(), and setActiveLayer().

## vectColorBox

ColorButton * PlotDialog::vectColorBox

private

Referenced by acceptParams(), initVectPage(), and setActiveCurve().

## vectPage

QWidget* PlotDialog::vectPage

private

Referenced by acceptParams(), clearTabWidget(), initVectPage(), and insertTabs().

## vectPosBox

QComboBox* PlotDialog::vectPosBox

private

Referenced by acceptParams(), customVectorsPage(), initVectPage(), and setActiveCurve().

## vectWidthBox

DoubleSpinBox* PlotDialog::vectWidthBox

private

Referenced by acceptParams(), initVectPage(), and setActiveCurve().

## whiskerCnt

QDoubleSpinBox* PlotDialog::whiskerCnt

private

Referenced by applyBoxWhiskersFormatToCurve(), initBoxPage(), setActiveCurve(), and setWhiskersRange().

## whiskerCntLabel

QLabel * PlotDialog::whiskerCntLabel

private

Referenced by initBoxPage(), and setWhiskersRange().

## whiskerCoeffLabel

QLabel* PlotDialog::whiskerCoeffLabel

private

Referenced by initBoxPage(), and setWhiskersRange().

## whiskerRangeLabel

QLabel * PlotDialog::whiskerRangeLabel

private

Referenced by initBoxPage().

## widthBox

DoubleSpinBox* PlotDialog::widthBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## xBox

QCheckBox* PlotDialog::xBox

private

Referenced by applyErrorBarFormatToCurve(), initErrorsPage(), pickErrorBarsColor(), and setActiveCurve().

## xEndBox

QComboBox* PlotDialog::xEndBox

private

Referenced by acceptParams(), initVectPage(), and updateEndPointColumns().

## yEndBox

QComboBox * PlotDialog::yEndBox

private

Referenced by acceptParams(), initVectPage(), and updateEndPointColumns().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/PlotDialog.h
- qtiplot/src/plot2D/dialogs/PlotDialog.cpp